 <?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: site_team.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../maincore.php";

if (!checkrights("SLS") || !defined("iAUTH") || $_GET['aid'] != iAUTH) redirect("../index.php");

require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/syslog.php";
include LOCALE.LOCALESET."admin/hf_demo_sys.php";

if ($settings['ef_hf_enable_demo_mode'] == "1" && $userdata['user_level'] != "106") {
   echo "<div class='admin-message'>".$locale['hf_demo_02']."</div>\n"; 
}
 
$hf_ip = HFURLtoIP($settings['siteurl']);
$axn = isset($_REQUEST['axn']) ? $_REQUEST['axn'] : "";
$log_id = (isset($_REQUEST['log_id']) AND isnum($_REQUEST['log_id'])) ? $_REQUEST['log_id'] : "";
$syslog_log_ip = USER_IP;
    
if ($settings['ef_log_system'] == 0) {
  echo "<center><div class='admin-message'>".$locale['logs_018']."</div><center>";
}
   
$logs_per_page = $settings['ef_logs_per_page'];   
$new_logs = $logs_per_page;


opentable($locale['logs_000']);
switch ($axn) {
//new logs	
  default:
    
    
    echo "<b>".$locale['logs_016']."</b>";
    echo "<table border='1' width='90%' cellpadding='3' border='0' align='center' style='margin-top:1em;margin-bottom:1em;'>
          <tr><td align='center' class='tbl2' valign='middle' width='70%'><p style='padding:0.4em;'>
          <a href='".FUSION_SELF.$aidlink."'>[ ".$locale['logs_011']." ]</a> | 
          <a href='".FUSION_SELF.$aidlink."&amp;axn=l'>[ ".$locale['logs_008']." ]</a> |
          <a href='".FUSION_SELF.$aidlink."&amp;axn=u'>[ ".$locale['logs_009']." ]</a> <br /> <br />
          <a href='".FUSION_SELF.$aidlink."&amp;axn=s'>[ ".$locale['logs_010']." ]</a> |
          <a href='".FUSION_SELF.$aidlink."&amp;axn=e'>[ ".$locale['logs_030']." ]</a> | 
          <a href='".FUSION_SELF.$aidlink."&amp;axn=all'>[ ".$locale['logs_007']." ]</a> 
          </p></td>"; 
          if (iADMIN && $userdata['user_level'] = "106") {
              echo "<td align='center' valign='middle' class='tbl2'><p style='padding:0.4em;'>
                    <a href='".FUSION_SELF.$aidlink."&amp;axn=delete'>".$locale['logs_012']."</a>
                    <br /><br /> <a href='".FUSION_SELF.$aidlink."&amp;axn=settings'>".$locale['logs_002']."</a></p></td>";
          } else {
              echo "<td align='center' valign='middle' class='tbl2'><p style='padding:0.4em;'>
              <a href='".FUSION_SELF.$aidlink."&amp;axn=settings'>".$locale['logs_002']."</a><br /></td>";
          }
          echo "</tr></table>\n";
          echo "<br />\n";
          echo "<b>".$locale['logs_001']." - ".$locale['logs_011']."</b> (";
          $result2 = dbquery("SELECT COUNT(*) FROM ".DB_SYSLOG."");
          $data2 = dbarray($result2);
          echo " ".$data2['COUNT(*)'].$locale['logs_number'].")<br />\n";
          
 $result = dbquery(
			"SELECT sl.*, tu.user_id, tu.user_name, tu.user_status FROM ".DB_SYSLOG." sl
			LEFT JOIN ".DB_USERS." tu ON sl.log_user=tu.user_id
			ORDER BY log_time DESC LIMIT  $new_logs"
		);
		
	$rows = dbrows($result);
	if ($rows > 0) {		
   	
    echo "<table border='1' width='90%' cellpadding='3' cellspacing='1' border='0' align='center' style='margin-top:1em;margin-bottom:1em;'>\n";	
		echo "<tr><td class='tbl2'>".$locale['logs_021']."</td><td class='tbl2'>".$locale['logs_022']."</td>
          <td class='tbl2'>".$locale['logs_023']."</td><td class='tbl2'>".$locale['logs_029']."</td><td class='tbl2'>".$locale['logs_024']."</td></tr>";
    while ($data = dbarray($result)) {
			$caddtime = $data['log_time'];
      echo "<tr><td class='tbl1'>"; 
      if ($data['log_type'] == "L") { 
           echo $locale['logs_025'];
      } elseif ($data['log_type'] == "U") { 
                echo $locale['logs_026']; 
      } elseif ($data['log_type'] == "S") { 
              echo $locale['logs_027']; 
      } elseif ($data['log_type'] == "E") { 
              echo $locale['logs_030']; 
      }
      echo "</td><td class='tbl1'>";
      if ($data['log_user'] == 0) { 
              echo "SYSTEM"; 
      } elseif ($data['log_user'] == "0") { 
              echo "SYSTEM"; 
      } else {
             echo profile_link($data['log_user'], $data['user_name'], $data['user_status']); 
      }
      echo "</td>
            <td class='tbl1'>".$data['log_text']."</td>";
             $log_id = $data['log_id'];
      echo "<td class='tbl1'>".$data['log_ip']."<br />"; if ($data['log_ip'] != $userdata['user_ip']) { echo "<a href='".FUSION_SELF.$aidlink."&amp;axn=banip&log_id=".$log_id."'>".$locale['logs_ban03']."</a>";} echo "</td>
            <td class='tbl1'>".date("Y.m.d H:i " , $caddtime)."</td></tr>\n";
		}
		echo "</table><br /><br />\n";
         
	}	else {
      echo "<center><b>".$locale['logs_017']."</b></center>\n";
	 }	
	break;
  
//logon logs
	case 'l':
  $l_swich = "&amp;axn=l";

    
    echo "<b>".$locale['logs_016']."</b>";
    echo "<table border='1' width='90%' cellpadding='3' border='0' align='center' style='margin-top:1em;margin-bottom:1em;'>
          <tr><td align='center' class='tbl2' valign='middle' width='70%'><p style='padding:0.4em;'>
          <a href='".FUSION_SELF.$aidlink."'>[ ".$locale['logs_011']." ]</a> | 
          <a href='".FUSION_SELF.$aidlink."&amp;axn=l'>[ ".$locale['logs_008']." ]</a> |
          <a href='".FUSION_SELF.$aidlink."&amp;axn=u'>[ ".$locale['logs_009']." ]</a> <br /> <br />
          <a href='".FUSION_SELF.$aidlink."&amp;axn=s'>[ ".$locale['logs_010']." ]</a> |
          <a href='".FUSION_SELF.$aidlink."&amp;axn=e'>[ ".$locale['logs_030']." ]</a> | 
          <a href='".FUSION_SELF.$aidlink."&amp;axn=all'>[ ".$locale['logs_007']." ]</a>
          </p></td>"; 
          if (iADMIN && $userdata['user_level'] = "106") {
              echo "<td align='center' valign='middle' class='tbl2'><p style='padding:0.4em;'>
                    <a href='".FUSION_SELF.$aidlink."&amp;axn=delete'>".$locale['logs_012']."</a>
                    <br /><br /> <a href='".FUSION_SELF.$aidlink."&amp;axn=settings'>".$locale['logs_002']."</a></p></td>";
          } else {
              echo "<td align='center' valign='middle' class='tbl2'><p style='padding:0.4em;'>
              <a href='".FUSION_SELF.$aidlink."&amp;axn=settings'>".$locale['logs_002']."</a><br /></td>";
          }
          echo "</tr></table>\n";
          echo "<br />\n";
          echo "<b>".$locale['logs_001']." - ".$locale['logs_008']."</b> (";
          $result2 = dbquery("SELECT COUNT(*) FROM ".DB_SYSLOG."");
          $data2 = dbarray($result2);
          echo " ".$data2['COUNT(*)'].$locale['logs_number'].")<br />\n";
          
  $rows = dbcount("(log_id)", DB_SYSLOG, "log_id!='0' AND log_type='L'");   
  if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
	if (dbrows(dbquery("SELECT * FROM ".DB_SYSLOG." WHERE log_id!='0' AND log_type='L'"))  > 0) {		
   	 $result = dbquery(
			"SELECT sl.*, tu.user_id, tu.user_name, tu.user_status FROM ".DB_SYSLOG." sl
			LEFT JOIN ".DB_USERS." tu ON sl.log_user=tu.user_id
			WHERE  sl.log_type = 'L'
      ORDER BY log_time DESC LIMIT ".$_GET['rowstart'].", $logs_per_page"
		);
		
    echo "<table border='1' width='90%' cellpadding='3' cellspacing='1' border='0' align='center' style='margin-top:1em;margin-bottom:1em;'>\n";	
		echo "<tr><td class='tbl2'>".$locale['logs_021']."</td><td class='tbl2'>".$locale['logs_022']."</td>
          <td class='tbl2'>".$locale['logs_023']."</td><td class='tbl2'>".$locale['logs_029']."</td><td class='tbl2'>".$locale['logs_024']."</td></tr>";
		while ($data = dbarray($result)) {
			$caddtime = $data['log_time'];
      echo "<tr><td class='tbl1'>"; 
      if ($data['log_type'] == "L") { 
           echo $locale['logs_025'];
      } elseif ($data['log_type'] == "U") { 
                echo $locale['logs_026']; 
      } elseif ($data['log_type'] == "S") { 
              echo $locale['logs_027']; 
      } elseif ($data['log_type'] == "E") { 
              echo $locale['logs_030']; 
      }
      echo "</td><td class='tbl1'>";
      if ($data['log_user'] == 0) { 
              echo "SYSTEM"; 
      } elseif ($data['log_user'] == "0") { 
              echo "SYSTEM"; 
      } else {
             echo profile_link($data['log_user'], $data['user_name'], $data['user_status']); 
      }
      echo "</td>
            <td class='tbl1'>".$data['log_text']."</td>";
             $log_id = $data['log_id'];
      echo "<td class='tbl1'>".$data['log_ip']."<br />"; if ($data['log_ip'] != $userdata['user_ip']) { echo "<a href='".FUSION_SELF.$aidlink."&amp;axn=banip&log_id=".$log_id."'>".$locale['logs_ban03']."</a>";} echo "</td>
            <td class='tbl1'>".date("Y.m.d H:i " , $caddtime)."</td></tr>\n";
		}
		echo "</table><br /><br />\n";
        if ($rows > $logs_per_page) echo "<div align='center' style='margin-top:5px;'>\n".makeadminswichpagenav($aidlink, $l_swich, $_GET['rowstart'],$logs_per_page,$rows,3)."\n</div>\n";
	}	else {
      echo "<center><b>".$locale['logs_017']."</b></center>\n";
	 }	
	break;

//user profiles logs
  case 'u':
    
  $u_swich = "&amp;axn=u";
    
    echo "<b>".$locale['logs_016']."</b>";
    echo "<table border='1' width='90%' cellpadding='3' border='0' align='center' style='margin-top:1em;margin-bottom:1em;'>
          <tr><td align='center' class='tbl2' valign='middle' width='70%'><p style='padding:0.4em;'>
          <a href='".FUSION_SELF.$aidlink."'>[ ".$locale['logs_011']." ]</a> | 
          <a href='".FUSION_SELF.$aidlink."&amp;axn=l'>[ ".$locale['logs_008']." ]</a> |
          <a href='".FUSION_SELF.$aidlink."&amp;axn=u'>[ ".$locale['logs_009']." ]</a> <br /> <br />
          <a href='".FUSION_SELF.$aidlink."&amp;axn=s'>[ ".$locale['logs_010']." ]</a> |
          <a href='".FUSION_SELF.$aidlink."&amp;axn=e'>[ ".$locale['logs_030']." ]</a> | 
          <a href='".FUSION_SELF.$aidlink."&amp;axn=all'>[ ".$locale['logs_007']." ]</a>
          </p></td>"; 
          if (iADMIN && $userdata['user_level'] = "106") {
              echo "<td align='center' valign='middle' class='tbl2'><p style='padding:0.4em;'>
                    <a href='".FUSION_SELF.$aidlink."&amp;axn=delete'>".$locale['logs_012']."</a>
                    <br /><br /> <a href='".FUSION_SELF.$aidlink."&amp;axn=settings'>".$locale['logs_002']."</a></p></td>";
          } else {
              echo "<td align='center' valign='middle' class='tbl2'><p style='padding:0.4em;'>
              <a href='".FUSION_SELF.$aidlink."&amp;axn=settings'>".$locale['logs_002']."</a><br /></td>";
          }
          echo "</tr></table>\n";
          echo "<br />\n";
          echo "<b>".$locale['logs_001']." - ".$locale['logs_009']."</b> (";
          $result2 = dbquery("SELECT COUNT(*) FROM ".DB_SYSLOG."");
          $data2 = dbarray($result2);
          echo " ".$data2['COUNT(*)'].$locale['logs_number'].")<br />\n";
          

  $rows = dbcount("(log_id)", DB_SYSLOG, "log_id!='0' AND log_type='U'");     
  if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
	if (dbrows(dbquery("SELECT * FROM ".DB_SYSLOG." WHERE log_id!='0' AND log_type='U'")) > 0) {		
   	$result = dbquery(
			"SELECT sl.*, tu.user_id, tu.user_name, tu.user_status FROM ".DB_SYSLOG." sl
			LEFT JOIN ".DB_USERS." tu ON sl.log_user=tu.user_id
			WHERE  sl.log_type = 'U'
      ORDER BY log_time DESC LIMIT ".$_GET['rowstart'].", $logs_per_page"
		);
		
    echo "<table border='1' width='90%' cellpadding='3' cellspacing='1' border='0' align='center' style='margin-top:1em;margin-bottom:1em;'>\n";	
		echo "<tr><td class='tbl2'>".$locale['logs_021']."</td><td class='tbl2'>".$locale['logs_022']."</td>
          <td class='tbl2'>".$locale['logs_023']."</td><td class='tbl2'>".$locale['logs_029']."</td><td class='tbl2'>".$locale['logs_024']."</td></tr>";
		while ($data = dbarray($result)) {
			$caddtime = $data['log_time'];
      echo "<tr><td class='tbl1'>"; 
      if ($data['log_type'] == "L") { 
           echo $locale['logs_025'];
      } elseif ($data['log_type'] == "U") { 
                echo $locale['logs_026']; 
      } elseif ($data['log_type'] == "S") { 
              echo $locale['logs_027']; 
      } elseif ($data['log_type'] == "E") { 
              echo $locale['logs_030']; 
      }
      echo "</td><td class='tbl1'>";
      if ($data['log_user'] == 0) { 
              echo "SYSTEM"; 
      } elseif ($data['log_user'] == "0") { 
              echo "SYSTEM"; 
      } else {
             echo profile_link($data['log_user'], $data['user_name'], $data['user_status']); 
      }
      echo "</td>
            <td class='tbl1'>".$data['log_text']."</td>";
             $log_id = $data['log_id'];
      echo "<td class='tbl1'>".$data['log_ip']."<br />"; if ($data['log_ip'] != $userdata['user_ip']) { echo "<a href='".FUSION_SELF.$aidlink."&amp;axn=banip&log_id=".$log_id."'>".$locale['logs_ban03']."</a>";} echo "</td>
            <td class='tbl1'>".date("Y.m.d H:i " , $caddtime)."</td></tr>\n";
		}
		echo "</table><br /><br />\n";
         if ($rows > $logs_per_page) echo "<div align='center' style='margin-top:5px;'>\n".makeadminswichpagenav($aidlink, $u_swich, $_GET['rowstart'],$logs_per_page,$rows,3)."\n</div>\n"; 
	}	else {
      echo "<center><b>".$locale['logs_017']."</b></center>\n";
	 }	
	break;
	
	//system logs
  case 's':
    
  $s_swich = "&amp;axn=s";
    
    echo "<b>".$locale['logs_016']."</b>";
    echo "<table border='1' width='90%' cellpadding='3' border='0' align='center' style='margin-top:1em;margin-bottom:1em;'>
          <tr><td align='center' class='tbl2' valign='middle' width='70%'><p style='padding:0.4em;'>
          <a href='".FUSION_SELF.$aidlink."'>[ ".$locale['logs_011']." ]</a> | 
          <a href='".FUSION_SELF.$aidlink."&amp;axn=l'>[ ".$locale['logs_008']." ]</a> |
          <a href='".FUSION_SELF.$aidlink."&amp;axn=u'>[ ".$locale['logs_009']." ]</a> <br /> <br />
          <a href='".FUSION_SELF.$aidlink."&amp;axn=s'>[ ".$locale['logs_010']." ]</a> |
          <a href='".FUSION_SELF.$aidlink."&amp;axn=e'>[ ".$locale['logs_030']." ]</a> | 
          <a href='".FUSION_SELF.$aidlink."&amp;axn=all'>[ ".$locale['logs_007']." ]</a>
          </p></td>"; 
          if (iADMIN && $userdata['user_level'] = "106") {
              echo "<td align='center' valign='middle' class='tbl2'><p style='padding:0.4em;'>
                    <a href='".FUSION_SELF.$aidlink."&amp;axn=delete'>".$locale['logs_012']."</a>
                    <br /><br /> <a href='".FUSION_SELF.$aidlink."&amp;axn=settings'>".$locale['logs_002']."</a></p></td>";
          } else {
              echo "<td align='center' valign='middle' class='tbl2'><p style='padding:0.4em;'>
              <a href='".FUSION_SELF.$aidlink."&amp;axn=settings'>".$locale['logs_002']."</a><br /></td>";
          }
          echo "</tr></table>\n";
          echo "<br />\n";
          echo "<b>".$locale['logs_001']." - ".$locale['logs_010']."</b> (";
          $result2 = dbquery("SELECT COUNT(*) FROM ".DB_SYSLOG."");
          $data2 = dbarray($result2);
          echo " ".$data2['COUNT(*)'].$locale['logs_number'].")<br />\n";
          
   $rows = dbcount("(log_id)", DB_SYSLOG, "log_id!='0' AND log_type='S'");    
  if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
	if (dbrows(dbquery("SELECT * FROM ".DB_SYSLOG." WHERE log_id!='0' AND log_type='S'")) > 0) {		
   	
   	 $result = dbquery(
			"SELECT sl.*, tu.user_id, tu.user_name, tu.user_status FROM ".DB_SYSLOG." sl
			LEFT JOIN ".DB_USERS." tu ON sl.log_user=tu.user_id
			WHERE  sl.log_type = 'S'
      ORDER BY log_time DESC LIMIT ".$_GET['rowstart'].", $logs_per_page
  ");
   	
    echo "<table border='1' width='90%' cellpadding='3' cellspacing='1' border='0' align='center' style='margin-top:1em;margin-bottom:1em;'>\n";	
		echo "<tr><td class='tbl2'>".$locale['logs_021']."</td><td class='tbl2'>".$locale['logs_022']."</td>
          <td class='tbl2'>".$locale['logs_023']."</td><td class='tbl2'>".$locale['logs_029']."</td><td class='tbl2'>".$locale['logs_024']."</td></tr>";
		while ($data = dbarray($result)) {
			$caddtime = $data['log_time'];
      echo "<tr><td class='tbl1'>"; 
      if ($data['log_type'] == "L") { 
           echo $locale['logs_025'];
      } elseif ($data['log_type'] == "U") { 
                echo $locale['logs_026']; 
      } elseif ($data['log_type'] == "S") { 
              echo $locale['logs_027']; 
      } elseif ($data['log_type'] == "E") { 
              echo $locale['logs_030']; 
      }
      echo "</td><td class='tbl1'>";
      if ($data['log_user'] == 0) { 
              echo "SYSTEM"; 
      } elseif ($data['log_user'] == "0") { 
              echo "SYSTEM"; 
      } else {
             echo profile_link($data['log_user'], $data['user_name'], $data['user_status']); 
      }
      echo "</td>
            <td class='tbl1'>".$data['log_text']."</td>";
             $log_id = $data['log_id'];
      echo "<td class='tbl1'>".$data['log_ip']."<br />"; if ($data['log_ip'] != $userdata['user_ip']) { echo "<a href='".FUSION_SELF.$aidlink."&amp;axn=banip&log_id=".$log_id."'>".$locale['logs_ban03']."</a>";} echo "</td>
            <td class='tbl1'>".date("Y.m.d H:i " , $caddtime)."</td></tr>\n";
		}
		echo "</table><br /><br />\n";
          if ($rows > $logs_per_page) echo "<div align='center' style='margin-top:5px;'>\n".makeadminswichpagenav($aidlink, $s_swich, $_GET['rowstart'],$logs_per_page,$rows,3)."\n</div>\n"; 
	}	else {
      echo "<center><b>".$locale['logs_017']."</b></center>\n";
	 }	
	break;
	 
  case 'e':
	 
   $s_swich = "&amp;axn=e";
    
    echo "<b>".$locale['logs_016']."</b>";
    echo "<table border='1' width='90%' cellpadding='3' border='0' align='center' style='margin-top:1em;margin-bottom:1em;'>
          <tr><td align='center' class='tbl2' valign='middle' width='70%'><p style='padding:0.4em;'>
          <a href='".FUSION_SELF.$aidlink."'>[ ".$locale['logs_011']." ]</a> | 
          <a href='".FUSION_SELF.$aidlink."&amp;axn=l'>[ ".$locale['logs_008']." ]</a> |
          <a href='".FUSION_SELF.$aidlink."&amp;axn=u'>[ ".$locale['logs_009']." ]</a> <br /> <br />
          <a href='".FUSION_SELF.$aidlink."&amp;axn=s'>[ ".$locale['logs_010']." ]</a> |
          <a href='".FUSION_SELF.$aidlink."&amp;axn=e'>[ ".$locale['logs_030']." ]</a> | 
          <a href='".FUSION_SELF.$aidlink."&amp;axn=all'>[ ".$locale['logs_007']." ]</a>
          </p></td>"; 
          if (iADMIN && $userdata['user_level'] = "106") {
              echo "<td align='center' valign='middle' class='tbl2'><p style='padding:0.4em;'>
                    <a href='".FUSION_SELF.$aidlink."&amp;axn=delete'>".$locale['logs_012']."</a>
                    <br /><br /> <a href='".FUSION_SELF.$aidlink."&amp;axn=settings'>".$locale['logs_002']."</a></p></td>";
          } else {
              echo "<td align='center' valign='middle' class='tbl2'><p style='padding:0.4em;'>
              <a href='".FUSION_SELF.$aidlink."&amp;axn=settings'>".$locale['logs_002']."</a><br /></td>";
          }
          echo "</tr></table>\n";
          echo "<br />\n";
          echo "<b>".$locale['logs_001']." - ".$locale['logs_030']."</b> (";
          $result2 = dbquery("SELECT COUNT(*) FROM ".DB_SYSLOG."");
          $data2 = dbarray($result2);
          echo " ".$data2['COUNT(*)'].$locale['logs_number'].")<br />\n";
          
   $rows = dbcount("(log_id)", DB_SYSLOG, "log_id!='0' AND log_type='E'");    
  if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
	if (dbrows(dbquery("SELECT * FROM ".DB_SYSLOG." WHERE log_id!='0' AND log_type='E'")) > 0) {		
   	
   	 $result = dbquery(
			"SELECT sl.*, tu.user_id, tu.user_name, tu.user_status FROM ".DB_SYSLOG." sl
			LEFT JOIN ".DB_USERS." tu ON sl.log_user=tu.user_id
			WHERE  sl.log_type = 'E'
      ORDER BY log_time DESC LIMIT ".$_GET['rowstart'].", $logs_per_page
  ");
   	
    echo "<table border='1' width='90%' cellpadding='3' cellspacing='1' border='0' align='center' style='margin-top:1em;margin-bottom:1em;'>\n";	
		echo "<tr><td class='tbl2'>".$locale['logs_021']."</td><td class='tbl2'>".$locale['logs_022']."</td>
          <td class='tbl2'>".$locale['logs_023']."</td><td class='tbl2'>".$locale['logs_029']."</td><td class='tbl2'>".$locale['logs_024']."</td></tr>";
		while ($data = dbarray($result)) {
			$caddtime = $data['log_time'];
      echo "<tr><td class='tbl1'>"; 
      if ($data['log_type'] == "L") { 
           echo $locale['logs_025'];
      } elseif ($data['log_type'] == "U") { 
                echo $locale['logs_026']; 
      } elseif ($data['log_type'] == "S") { 
              echo $locale['logs_027']; 
      } elseif ($data['log_type'] == "E") { 
              echo $locale['logs_030']; 
      }
      echo "</td><td class='tbl1'>";
      if ($data['log_user'] == 0) { 
              echo "SYSTEM"; 
      } elseif ($data['log_user'] == "0") { 
              echo "SYSTEM"; 
      } else {
             echo profile_link($data['log_user'], $data['user_name'], $data['user_status']); 
      }
      echo "</td>
            <td class='tbl1'>".$data['log_text']."</td>";
             $log_id = $data['log_id'];
      echo "<td class='tbl1'>".$data['log_ip']."<br />"; if ($data['log_ip'] != $userdata['user_ip']) { echo "<a href='".FUSION_SELF.$aidlink."&amp;axn=banip&log_id=".$log_id."'>".$locale['logs_ban03']."</a>";} echo "</td>
            <td class='tbl1'>".date("Y.m.d H:i " , $caddtime)."</td></tr>\n";
		}
		echo "</table><br /><br />\n";
          if ($rows > $logs_per_page) echo "<div align='center' style='margin-top:5px;'>\n".makeadminswichpagenav($aidlink, $s_swich, $_GET['rowstart'],$logs_per_page,$rows,3)."\n</div>\n"; 
	}	else {
      echo "<center><b>".$locale['logs_017']."</b></center>\n";
	 }	
	break;
	
//all logs	
  case 'all':
      
      $all_swich = "&amp;axn=all";
      
    echo "<b>".$locale['logs_016']."</b>";
    echo "<table border='1' width='90%' cellpadding='3' border='0' align='center' style='margin-top:1em;margin-bottom:1em;'>
          <tr><td align='center' class='tbl2' valign='middle' width='70%'><p style='padding:0.4em;'>
          <a href='".FUSION_SELF.$aidlink."'>[ ".$locale['logs_011']." ]</a> | 
          <a href='".FUSION_SELF.$aidlink."&amp;axn=l'>[ ".$locale['logs_008']." ]</a> |
          <a href='".FUSION_SELF.$aidlink."&amp;axn=u'>[ ".$locale['logs_009']." ]</a> <br /> <br />
          <a href='".FUSION_SELF.$aidlink."&amp;axn=s'>[ ".$locale['logs_010']." ]</a> |
          <a href='".FUSION_SELF.$aidlink."&amp;axn=e'>[ ".$locale['logs_030']." ]</a> | 
          <a href='".FUSION_SELF.$aidlink."&amp;axn=all'>[ ".$locale['logs_007']." ]</a> 
          </p></td>"; 
          if (iADMIN && $userdata['user_level'] = "106") {
              echo "<td align='center' valign='middle' class='tbl2'><p style='padding:0.4em;'>
                    <a href='".FUSION_SELF.$aidlink."&amp;axn=delete'>".$locale['logs_012']."</a>
                    <br /><br /> <a href='".FUSION_SELF.$aidlink."&amp;axn=settings'>".$locale['logs_002']."</a></p></td>";
          } else {
              echo "<td align='center' valign='middle' class='tbl2'><p style='padding:0.4em;'>
              <a href='".FUSION_SELF.$aidlink."&amp;axn=settings'>".$locale['logs_002']."</a><br /></td>";
          }
          echo "</tr></table>\n";
          echo "<br />\n";
          echo "<b>".$locale['logs_001']." - ".$locale['logs_007']."</b> (";
          $result2 = dbquery("SELECT COUNT(*) FROM ".DB_SYSLOG."");
          $data2 = dbarray($result2);
          echo " ".$data2['COUNT(*)'].$locale['logs_number'].")<br />\n";
             
  $rows = dbcount("(log_id)", DB_SYSLOG, "log_id!='0'");
  if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
	if (dbrows(dbquery("SELECT * FROM ".DB_SYSLOG." WHERE log_id!='0'")) > 0) {		
   	 $result = dbquery(
			    "SELECT sl.*, tu.user_id, tu.user_name, tu.user_status FROM ".DB_SYSLOG." sl
			     LEFT JOIN ".DB_USERS." tu ON sl.log_user=tu.user_id
           ORDER BY log_time DESC LIMIT ".$_GET['rowstart'].", $logs_per_page
         ");
         
    echo "<table border='1' width='90%' cellpadding='3' cellspacing='1' border='0' align='center' style='margin-top:1em;margin-bottom:1em;'>\n";	
		echo "<tr><td class='tbl2'>".$locale['logs_021']."</td><td class='tbl2'>".$locale['logs_022']."</td>
          <td class='tbl2'>".$locale['logs_023']."</td><td class='tbl2'>".$locale['logs_029']."</td><td class='tbl2'>".$locale['logs_024']."</td></tr>";
		while ($data = mysql_fetch_array($result)) {
			$caddtime = $data['log_time'];
      echo "<tr><td class='tbl1'>"; 
      if ($data['log_type'] == "L") { 
           echo $locale['logs_025'];
      } elseif ($data['log_type'] == "U") { 
                echo $locale['logs_026']; 
      } elseif ($data['log_type'] == "S") { 
              echo $locale['logs_027']; 
      } elseif ($data['log_type'] == "E") { 
              echo $locale['logs_030']; 
      }
      echo "</td><td class='tbl1'>";
      if ($data['log_user'] == 0) { 
              echo "SYSTEM"; 
      } elseif ($data['log_user'] == "0") { 
              echo "SYSTEM"; 
      } else {
             echo profile_link($data['log_user'], $data['user_name'], $data['user_status']); 
      }
      echo "</td>
            <td class='tbl1'>".$data['log_text']."</td>";
             $log_id = $data['log_id'];
      echo "<td class='tbl1'>".$data['log_ip']."<br />"; if ($data['log_ip'] != $userdata['user_ip']) { echo "<a href='".FUSION_SELF.$aidlink."&amp;axn=banip&log_id=".$log_id."'>".$locale['logs_ban03']."</a>";} echo "</td>
            <td class='tbl1'>".date("Y.m.d H:i " , $caddtime)."</td></tr>\n";
		}
		
		echo "</table><br /><br />\n";  
     if ($rows > $logs_per_page) echo "<div align='center' style='margin-top:5px;'>\n".makeadminswichpagenav($aidlink, $all_swich, $_GET['rowstart'],$logs_per_page,$rows,3)."\n</div>\n";      
	}	else {
      echo "<center><b>".$locale['logs_017']."</b></center>\n";
	 }	
	break;
	
	//ban ip
	  case 'banip':
	if (isset($_POST['ban_ip_button'])) {
	  
    $slog_text1 = $locale['logs_000']." - ".$message;
		$slog_text2 = $locale['logs_000']." - ".$locale['ap_001'];
		$log_ip = stripinput($_POST['log_ip']);
		$log_text= stripinput($_POST['log_text']);
		$apr_user_id = $userdata['user_id'];
    $apr_user_ip = $userdata['user_ip'];
    $message = $locale['logs_ban02']." ".$log_ip." - ".$log_text;	
    
    if (check_admin_pass(isset($_POST['admin_password']) ? stripinput($_POST['admin_password']) : "")) {
      if ($settings['ef_blok_blacklist'] == "1") {
        If ($log_ip == $syslog_log_ip or $log_ip == $hf_ip  or HFipinresoult($log_ip)==True) {
             echo "<center><div class='admin-message'>".$locale['logs_ban05']."</div><center>";
        } else {
          $result = dbquery("INSERT INTO ".DB_BLACKLIST." (blacklist_ip, blacklist_user_id, blacklist_email, blacklist_reason, blacklist_datestamp)
          VALUES ('$log_ip', '".$userdata['user_id']."', '', '$message', '".time()."')");
          set_admin_pass(isset($_POST['admin_password']) ? stripinput($_POST['admin_password']) : "");		   
          echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n";
		      if ($settings['ef_log_system'] == "1") {
          dbquery("INSERT INTO ".DB_SYSLOG." VALUES('', 'S', '$apr_user_id', '$slog_text1', '$apr_user_ip', '".time()."')");
         }
        }
      } else {
        $result = dbquery("INSERT INTO ".DB_BLACKLIST." (blacklist_ip, blacklist_user_id, blacklist_email, blacklist_reason, blacklist_datestamp)
         VALUES ('$log_ip', '".$userdata['user_id']."', '', '$message', '".time()."')");
       set_admin_pass(isset($_POST['admin_password']) ? stripinput($_POST['admin_password']) : "");		   
       echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n";
		   if ($settings['ef_log_system'] == "1") {
       dbquery("INSERT INTO ".DB_SYSLOG." VALUES('', 'S', '$apr_user_id', '$slog_text1', '$apr_user_ip', '".time()."')");
       }
      }  
       redirect (FUSION_SELF.$aidlink, "900000");
    } else {
        echo "<div class='admin-message'>".$locale['ap_001']."</div>";
        if ($settings['ef_log_system'] == "1") {
         dbquery("INSERT INTO ".DB_SYSLOG." VALUES('', 'S', '$apr_user_id', '$slog_text2', '$apr_user_ip', '".time()."')");
       }
       redirect (FUSION_SELF.$aidlink, "99999999");    
     }
	}
	else {
		echo "<form action='".FUSION_SELF.$aidlink."&amp;axn=banip&log_id=".$log_id."' method='post' style='margin:2em;'>\n";
		echo "<table width='50%' cellpadding='3' cellspacing='1' border='0' align='center'>\n";
		echo "<tr height='40'><td align='center' class='tbl2'><span style='font-weight:bold;font-size:1.5em;'>".$locale['logs_012']."</span></td></tr>\n";
		echo "<tr><td class='tbl1' align='center' width='35%'>\n<p style='padding:2em;'>";
        $result2 = dbquery("SELECT log_id, log_ip, log_text FROM ".DB_SYSLOG." WHERE log_id='$log_id'");
          $data2 = dbarray($result2);
          echo  $locale['logs_ban01']." ".$data2['log_ip'].$locale['logs_ban04']."<br />\n";
    echo "</p></td></tr>\n";
    if (!check_admin_pass(isset($_POST['admin_password']) ? stripinput($_POST['admin_password']) : "")) {
					echo "<tr><td>".$locale['ap_000']." <input type='password' name='admin_password' class='textbox' style='width:150px;' /></td></tr>\n";
				}
		echo "<tr><td align='center' class='tbl1'>\n"; 
    echo "<input type='hidden' name='log_id' value='".$data2['log_id']."'>";
		echo "<input type='hidden' name='log_ip' value='".$data2['log_ip']."'>"; 
    echo "<input type='hidden' name='log_text' value='".$data2['log_text']."'>"; 
		echo "<input type='submit' name='ban_ip_button' value='".$locale['logs_ban03']."' class='button' />\n";
		echo "<input type='button' onclick=\"history.go(-1);\" value='".$locale['logs_015']."' class='button' />\n";
		echo "</td></tr></table>\n";
		echo "</form>";
	}
	break;

  
  //delete logs
  case 'delete':
	if (isset($_POST['select_del_button'])) {
	  
    $message = $locale['logs_019'];
    $slog_text1 = $locale['logs_000']." - ".$message;
		$slog_text2 = $locale['logs_000']." - ".$locale['ap_001'];
		$apr_user_id = $userdata['user_id'];
		$apr_user_ip = $userdata['user_ip'];
	
   if ($settings['ef_hf_enable_demo_mode'] == "1" && $userdata['user_level'] != "106") {
   echo "<div class='admin-message'>".$locale['hf_demo_02']."</div>\n";
   redirect (FUSION_SELF.$aidlink, "99999999"); 
  } else { 
  
  		
    if (check_admin_pass(isset($_POST['admin_password']) ? stripinput($_POST['admin_password']) : "")) {
       
       dbquery("DELETE FROM ".DB_SYSLOG." WHERE  log_id !=0");
       dbquery("ALTER TABLE ".DB_SYSLOG." AUTO_INCREMENT = 1");
       set_admin_pass(isset($_POST['admin_password']) ? stripinput($_POST['admin_password']) : "");
		   echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n";
		   dbquery("INSERT INTO ".DB_SYSLOG." VALUES('', 'S', '$apr_user_id', '$message', '$apr_user_ip', '".time()."')");
       redirect (FUSION_SELF.$aidlink, "900000");
    } else {
        echo "<div class='admin-message'>".$locale['ap_001']."</div>";
       dbquery("INSERT INTO ".DB_SYSLOG." VALUES('', 'S', '$apr_user_id', '$slog_text2', '$apr_user_ip', '".time()."')");
       redirect (FUSION_SELF.$aidlink, "99999999");    
     }
     
    }
    
	}
	else {
		echo "<form action='".FUSION_SELF.$aidlink."&amp;axn=delete' method='post' style='margin:2em;'>\n";
		echo "<table width='50%' cellpadding='3' cellspacing='1' border='0' align='center'>\n";
		echo "<tr height='40'><td align='center' class='tbl2'><span style='font-weight:bold;font-size:1.5em;'>".$locale['logs_012']."</span></td></tr>\n";
		echo "<tr><td class='tbl1' align='center' width='35%'>\n<p style='padding:2em;'>";
        $result2 = dbquery("SELECT COUNT(*) FROM ".DB_SYSLOG."");
          $data2 = dbarray($result2);
          echo " (".$data2['COUNT(*)'].$locale['logs_number'].")<br />\n<br />\n";
        echo $locale['logs_013']."\n";
    echo "</p></td></tr>\n";
    if (!check_admin_pass(isset($_POST['admin_password']) ? stripinput($_POST['admin_password']) : "")) {
					echo "<tr><td>".$locale['ap_000']." <input type='password' name='admin_password' class='textbox' style='width:150px;' /></td></tr>\n";
				}
		echo "<tr><td align='center' class='tbl1'>\n";
		if ($settings['ef_hf_enable_demo_mode'] == "1" && $userdata['user_level'] != "106") {
    echo "<input type='submit' name='select_del_button' value='".$locale['logs_014']."' class='button' disabled='disabled' />\n";
		} else {
		 echo "<input type='submit' name='select_del_button' value='".$locale['logs_014']."' class='button' />\n";
    }
    echo "<input type='button' onclick=\"history.go(-1);\" value='".$locale['logs_015']."' class='button' />\n";
		echo "</td></tr></table>\n";
		echo "</form>";
	}
	break;
	case 'settings':
	if (isset($_POST['save_settings'])) {
	  include LOCALE.LOCALESET."admin/settings.php";
	  		
		$message = $locale['900'];
		$slog_text1 = $locale['logs_000']." - ".$message;
		$slog_text2 = $locale['logs_000']." - ".$locale['ap_001'];
		$apr_user_id = $userdata['user_id'];
		$apr_user_ip = $userdata['user_ip'];
	
  if ($settings['ef_hf_enable_demo_mode'] == "1" && $userdata['user_level'] != "106") {
   echo "<div class='admin-message'>".$locale['hf_demo_02']."</div>\n";
   redirect (FUSION_SELF.$aidlink, "99999999"); 
  } else { 
  	
		if (check_admin_pass(isset($_POST['admin_password']) ? stripinput($_POST['admin_password']) : "")) {
	    
	      if (iADMIN && $userdata['user_level'] = "106") {
		          $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".stripinput($_POST['ef_log_system'])."' WHERE settings_name='ef_log_system'");
		        if($_POST['ef_logs_max_in_db'] > 2000) {
		                echo $_POST['ef_logs_max_in_db'];
                    $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='2000' WHERE settings_name='ef_logs_max_in_db'");
            }  else {
                   echo $_POST['ef_logs_max_in_db'];
                   $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".stripinput($_POST['ef_logs_max_in_db'])."' WHERE settings_name='ef_logs_max_in_db'");
            }
        }
	            $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".stripinput($_POST['ef_logs_per_page'])."' WHERE settings_name='ef_logs_per_page'");
	            
	            $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".stripinput($_POST['ef_log_system_view_log_info'])."' WHERE settings_name='ef_log_system_view_log_info'");

		         echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n";
             dbquery("INSERT INTO ".DB_SYSLOG." VALUES('', 'S', '$apr_user_id', '$slog_text1', '$apr_user_ip', '".time()."')"); 
             redirect (FUSION_SELF.$aidlink, "9000000");
     } else {
             echo "<div class='admin-message'>".$locale['ap_001']."</div>";
             dbquery("INSERT INTO ".DB_SYSLOG." VALUES('', 'S', '$apr_user_id', '$slog_text2', '$apr_user_ip', '".time()."')");
             redirect (FUSION_SELF.$aidlink, "99999999");    
     }
    }
	}
	else {
		 $settings3 = array();
     $result = dbquery("SELECT * FROM ".DB_SETTINGS);
		  while ($data = dbarray($result)) {
	$settings3[$data['settings_name']] = $data['settings_value'];
}	
echo "<form name='configform' action='".FUSION_SELF.$aidlink."&amp;axn=settings' method='post' style='margin:2em;'>\n";
echo "<table cellpadding='0' cellspacing='0' width='400' class='center'>\n";
echo "<tr><td align='center' class='tbl2' colspan='2'><span style='font-weight:bold;font-size:1.5em;'>".$locale['logs_002']."</span></td></tr>\n<tr>\n";
if (iADMIN && $userdata['user_level'] = "106") {
echo "<td width='130' class='tbl'>".$locale['logs_003']."</td>\n";
echo "<td class='tbl'><select name='ef_log_system' class='textbox' style='width:200px;' />\n";
echo "<option value='0'".($settings3['ef_log_system'] == "0" ? " selected='selected'" : "").">".$locale['logs_006']."</option>\n";
echo "<option value='1'".($settings3['ef_log_system'] == "1" ? " selected='selected'" : "").">".$locale['logs_005']."</option></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='130' class='tbl'>".$locale['logs_031']."</td>\n";
echo "<td class='tbl'><input type='text' name='ef_logs_max_in_db' value='".$settings3['ef_logs_max_in_db']."' class='textbox' style='width:200px;' /></td>\n";
echo "</tr><tr>";
echo "<td width='130' class='tbl'>".$locale['logs_031']."</td>\n";
echo "<td class='tbl'><select name='ef_log_system_view_log_info' class='textbox' style='width:200px;' />\n";
echo "<option value='0'".($settings3['ef_log_system_view_log_info'] == "0" ? " selected='selected'" : "").">".$locale['logs_006']."</option>\n";
echo "<option value='1'".($settings3['ef_log_system_view_log_info'] == "1" ? " selected='selected'" : "").">".$locale['logs_005']."</option></td>\n";
echo "</tr>\n<tr>\n";
}
echo "<td width='130' class='tbl'>".$locale['logs_004']."</td>\n";
echo "<td class='tbl'><select name='ef_logs_per_page' class='textbox' style='width:200px;' />\n";
echo "<option value='5'".($settings3['ef_logs_per_page'] == "5" ? " selected='selected'" : "").">5</option>\n";
echo "<option value='10'".($settings3['ef_logs_per_page'] == "10" ? " selected='selected'" : "").">10</option>\n";
echo "<option value='15'".($settings3['ef_logs_per_page'] == "15" ? " selected='selected'" : "").">15</option>\n";
echo "<option value='20'".($settings3['ef_logs_per_page'] == "20" ? " selected='selected'" : "").">20</option></td>\n";
echo "</tr>\n";
if (!check_admin_pass(isset($_POST['admin_password']) ? stripinput($_POST['admin_password']) : "")) {
					echo "<tr><td>".$locale['ap_000']."</td><td><input type='password' name='admin_password' class='textbox' style='width:150px;' /></td></tr>\n";
				}
echo "<tr><td align='center' class='tbl' colspan='2'>\n";
if ($settings['ef_hf_enable_demo_mode'] == "1" && $userdata['user_level'] != "106") {
echo "<input type='submit' name='save_settings' value='".$locale['logs_028']."' class='button' disabled='disabled' />\n";
} else {
echo "<input type='submit' name='save_settings' value='".$locale['logs_028']."' class='button' />\n";
}
echo "</td></tr></table>\n";
echo "</form>\n";
	}
	break;
}

 closetable();

require_once THEMES."templates/footer.php";
?>