<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: panels.php
| Author: Nick Jones (Digitanium)
| Co Author: Hans Kristian Flaatten (Starefossen)
| Co Author: bartek124
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { header("Location: ../../index.php"); exit; }

// Calculate current true url
$script_url = explode("/", $_SERVER['PHP_SELF'].(FUSION_QUERY ? "?".FUSION_QUERY : ""));
$url_count = count($script_url);
$base_url_count = substr_count(BASEDIR, "/") + 1;
$start_page = "";
while ($base_url_count != 0) {
	$current = $url_count - $base_url_count;
	$start_page .= "/".$script_url[$current];
	$base_url_count--;
}

define("START_PAGE", substr(preg_replace("#(&amp;|\?)(s_action=edit&amp;shout_id=)([0-9]+)#s", "", $start_page), 1));

$p_sql = false; $p_arr = array(1 => false, 2 => false, 3 => false, 4 => false);
if (!defined("ADMIN_PANEL")) {
	if (check_panel_status("left")) {
		$p_sql = "panel_side='1'";
	}
	if (check_panel_status("upper")) {
		$p_sql .= ($p_sql ? " OR " : "");
		$p_sql .= ($settings['opening_page'] != START_PAGE ? "(panel_side='2' AND panel_display='1')" : "panel_side='2'");
	}
	if (check_panel_status("lower")) {
		$p_sql .= ($p_sql ? " OR " : "");
		$p_sql .= ($settings['opening_page'] != START_PAGE ? "(panel_side='3' AND panel_display='1')" : "panel_side='3'");
	}
	if (check_panel_status("right")) {
		$p_sql .= ($p_sql ? " OR " : "")."panel_side='4'";
	}

	$p_sql = ($p_sql ? " AND (".$p_sql.")" : false);

	if ($p_sql) {
		$p_res = dbquery(
			"SELECT panel_side, panel_type, panel_filename, panel_content FROM ".DB_PANELS."
			WHERE panel_status='1'".$p_sql." AND ".groupaccess('panel_access')."
			ORDER BY panel_side, panel_order"
		);
		if (dbrows($p_res)) {
			$current_side = 0;
			while ($p_data = dbarray($p_res)) {
				if ($current_side == 0) {
					ob_start();
					$current_side = $p_data['panel_side'];
				}
				if ($current_side > 0 && $current_side != $p_data['panel_side']) {
					$p_arr[$current_side] = ob_get_contents();
					ob_end_clean();
					$current_side = $p_data['panel_side'];
					ob_start();
				}
				if ($p_data['panel_type'] == "file") {
					if (file_exists(INFUSIONS.$p_data['panel_filename']."/".$p_data['panel_filename'].".php")) {
						include INFUSIONS.$p_data['panel_filename']."/".$p_data['panel_filename'].".php";
					}
				} else {
					eval(stripslashes($p_data['panel_content']));
				}
			}
			$p_arr[$current_side] .= ob_get_contents();
			ob_end_clean();
		}
	}
} else {
	ob_start();
	require_once ADMIN."navigation.php";
	$p_arr[1] = ob_get_contents();
	ob_end_clean();
}

if (!defined("ADMIN_PANEL")) {
	$p_arr[2] = "<a id='content' name='content'></a>\n".$p_arr[2];
	if (iADMIN  && $settings['maintenance']) {
		$p_arr[2] = "<div id='close-message'><div class='admin-message'>".$locale['global_190']."</div></div>\n".$p_arr[2];
	}
	if (iSUPERADMIN && file_exists(BASEDIR."setup.php")) {
		$p_arr[2] = "<div id='close-message'><div class='admin-message'>".$locale['global_198']."</div></div>\n".$p_arr[2];
	}
	if (iADMIN && !$userdata['user_admin_password']) {
		$p_arr[2] = "<div id='close-message'><div class='admin-message'>".$locale['global_199']."</div></div>\n".$p_arr[2];
	}
	if (iADMIN && checkrights("UU") && $settings['email_verification'] == "1") {
	  if  (dbrows(dbquery("SELECT * FROM ".DB_NEW_USERS." "))  > 0) {
     $result2 = dbquery("SELECT COUNT(*) FROM ".DB_NEW_USERS." ");
      $data2 = dbarray($result2);
      $p_arr[2] = "<div id='close-message'><div class='admin-message'>".$locale['global_up_005']."<a href='".INFUSIONS."unauthenticated_users/unauthenticated_users.php".$aidlink."'>".$data2['COUNT(*)']." ".$locale['global_up_006']."</a></div></div>\n".$p_arr[2];
	  }
  }
  if (iADMIN && checkrights("M") && $settings['admin_activation'] == "1") {
	  if  (dbrows(dbquery("SELECT * FROM ".DB_USERS." WHERE user_status='2' AND user_level='101' "))  > 0) {
     $result3 = dbquery("SELECT COUNT(*) FROM ".DB_USERS." WHERE user_status='2' AND user_level='101' ");
      $data3 = dbarray($result3);
      $p_arr[2] = "<div id='close-message'><div class='admin-message'>".$locale['global_up_005']."<a href='".BASEDIR."administration/members.php".$aidlink."&amp;sortby=all&status=2&amp;rowstart=0'>".$data3['COUNT(*)']." ".$locale['global_up_007']."</a></div></div>\n".$p_arr[2];
	  }
  }
	if (iMEMBER && $settings['ef_disable_profile'] =="1") {
   $p_arr[2] = "<div id='close-message'><div class='admin-message'>".$locale['global_up_001']."</div></div>\n".$p_arr[2];
  }
  if (iSUPERADMIN && $userdata['user_level'] == "106" && checkrights("SLS") && $settings['ef_log_system'] == "1") {
   include LOCALE.LOCALESET."syslog.php";
    $max_logs = $settings['ef_logs_max_in_db'];
    $log_error_view = $settings['ef_log_system_view_log_info'];
    if (dbrows(dbquery("SELECT * FROM ".DB_SYSLOG)) > $max_logs && $log_error_view == "1") {
      $p_arr[2] = "<div id='close-message'><div class='admin-message'>".$locale['logs_r000']." <a href='".ADMIN."syslog.php".$aidlink."&amp;axn=delete'>".$locale['logs_r001']."</a></div></div>\n".$p_arr[2];
    }
  }
  if (iMEMBER &&  $userdata['user_level'] != "106" && $userdata['user_accepts_pp'] == "0") {
   
        if (file_exists(INFUSIONS."site_privacy_policy/locale/".$settings['locale']."/admin/site_privacy_policy.php")) {
	          include INFUSIONS."site_privacy_policy/locale/".$settings['locale']."/admin/site_privacy_policy.php";
        } else {
	          include INFUSIONS."site_privacy_policy/locale/English/admin/site_privacy_policy.php";
        }
      $p_arr[2] = "<div id='close-message'><a href='".INFUSIONS."site_privacy_policy/site_privacy_policy.php'><div class='admin-message'>".$locale['spp_023']."</div></a></div>\n".$p_arr[2];
  }
	$p_arr[2] = "<noscript><div class='noscript-message admin-message'>".$locale['global_303']."</div>\n</noscript>\n".$p_arr[2];
 if ($settings['ef_hf_enable_demo_mode'] == "1" && $settings['ef_hf_demo_mode_info_show'] == "1" && iADMIN && $userdata['user_level'] == "106") {
     include LOCALE.LOCALESET."admin/hf_demo_sys.php";  
     if ($settings['ef_hf_demo_mode_info'] == "" || empty($settings['ef_hf_demo_mode_info'])) {
      $p_arr[2] = "<div class='admin-message'>".$locale['hf_demo_07']."</div>\n".$p_arr[2];
      } else {
      $p_arr[2] = "<div class='admin-message'>".$locale['hf_demo_07']." (".$settings['ef_hf_demo_mode_info'].")</div>\n".$p_arr[2];
      } 
 } elseif ($settings['ef_hf_enable_demo_mode'] == "1" && $settings['ef_hf_demo_mode_info_show'] == "1") {
   include LOCALE.LOCALESET."admin/hf_demo_sys.php";   
     if ($settings['ef_hf_demo_mode_info'] != "") {
      $p_arr[2] = "<div class='admin-message'>".$settings['ef_hf_demo_mode_info']."</div>\n".$p_arr[2];
     }  elseif ($settings['ef_hf_demo_mode_info'] == "" || empty($settings['ef_hf_demo_mode_info'])) {
      $p_arr[2] = "<div class='admin-message'>".$locale['hf_demo_06']."</div>\n".$p_arr[2]; 
     }  elseif (iADMIN && $userdata['user_level'] == "106") {
      $p_arr[2] = "<div class='admin-message'>".$locale['hf_demo_07']."</div>\n".$p_arr[2]; 
     }
 } elseif ($settings['ef_hf_enable_demo_mode'] == "1" && iADMIN && $userdata['user_level'] == "106") {
     include LOCALE.LOCALESET."admin/hf_demo_sys.php";  
      $p_arr[2] = "<div class='admin-message'>".$locale['hf_demo_07']."</div>\n".$p_arr[2]; 
 }
 //hf ban system
 if ($settings['ef_hf_enable_user_ban_system'] == "1" && $settings['ef_hf_enable_user_time_bans'] == "1" && $settings['ef_hf_enable_user_auto_unban'] == "1") {
     include INCLUDES."hf_bansystem_include.php";
     include LOCALE.LOCALESET."admin/hf_ban_system.php";
     include LOCALE.LOCALESET."syslog.php";
     $sys_admin = "0";
     $syslog_log_ip = $_SERVER['SERVER_ADDR'];
     $syslog_log_pname = $locale['bs01']." - ";
     $ban_ext = $locale['bs69'];
     $user_ban_type = "0";
     $result = dbquery("SELECT user_id, user_name, user_status FROM ".DB_USERS." 
     LEFT JOIN ".DB_HF_BAN_TIME." ON user_id=hf_ban_user_id
     WHERE hf_ban_time != '0' AND hf_ban_time < ".time()."");
     while($data = dbarray($result)) {
       $query=dbquery("UPDATE ".DB_USERS." SET user_status='0' WHERE user_id='".$data['user_id']."'");
       $query=dbquery("DELETE FROM ".DB_HF_BAN_TIME." WHERE hf_ban_time < ".time()."");
       $user_profile = $data['user_id'];
       $oldbs_status = $data['user_status'];
       $bs_log_username = getbsuser_name($data['user_id']);
       bs_user_ban_history_update_log($sys_admin, $user_profile, $user_ban_type, $ban_ext, $syslog_log_ip);
        //syslog
        if($settings['ef_log_system'] == "1") {	
           $sys_bs_status = $locale['bs52']. $bs_log_username.$locale['bs53'].getbsuser_status($user_ban_type).".";
           $syslog_BS_status = $locale['bs01'].$locale['bs51'].$sys_bs_status;
           dbquery("INSERT INTO ".DB_SYSLOG." VALUES('', 'U', '0', '$syslog_BS_status', '$syslog_log_ip', '".time()."')"); 
        }
     }
     
 }

}


define("LEFT", $p_arr[1]);
define("U_CENTER", $p_arr[2]);
define("L_CENTER", $p_arr[3]);
define("RIGHT", $p_arr[4]);
unset($p_arr);

// Set the require div-width class
if (defined("ADMIN_PANEL")) {
	$main_style = "side-left";
} elseif (LEFT && RIGHT) {
	$main_style = "side-both";
} elseif (LEFT && !RIGHT) {
	$main_style = "side-left";
} elseif (!LEFT && RIGHT) {
	$main_style = "side-right";
} elseif (!LEFT && !RIGHT) {
	$main_style = "";
}
?>