<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: settings_security.php
| Author: Paul Beuk (muscapaul)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../maincore.php";

if (!checkrights("S9") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";
include LOCALE.LOCALESET."syslog.php";
include LOCALE.LOCALESET."admin/hf_demo_sys.php";

$syslog_log_ip = USER_IP;
$syslog_log_pname = $locale['683']." - ";

if (isset($_POST['savesettings'])) {
	$error = 0;

	$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".(isnum($_POST['flood_interval']) ? $_POST['flood_interval'] : "15")."' WHERE settings_name='flood_interval'");
	$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".(isnum($_POST['flood_autoban']) ? $_POST['flood_autoban'] : "1")."' WHERE settings_name='flood_autoban'");
	if (!$result) { $error = 1; }
	$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".(isnum($_POST['maintenance_level']) ? $_POST['maintenance_level'] : "102")."' WHERE settings_name='maintenance_level'");
	if (!$result) { $error = 1; }
	$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".(isnum($_POST['maintenance']) ? $_POST['maintenance'] : "0")."' WHERE settings_name='maintenance'");
	if (!$result) { $error = 1; }
	$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".addslash(descript($_POST['maintenance_message']))."' WHERE settings_name='maintenance_message'");
	if (!$result) { $error = 1; }
	$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".(isnum($_POST['bad_words_enabled']) ? $_POST['bad_words_enabled'] : "0")."' WHERE settings_name='bad_words_enabled'");
	if (!$result) { $error = 1; }
	$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".(isnum($_POST['no_boot']) ? $_POST['no_boot'] : "1")."' WHERE settings_name='ef_no_boot'");
	if (!$result) { $error = 1; }
	$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".(isnum($_POST['ef_blok_blacklist']) ? $_POST['ef_blok_blacklist'] : "1")."' WHERE settings_name='ef_blok_blacklist'");
	if (!$result) { $error = 1; }
  $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".addslash($_POST['bad_words'])."' WHERE settings_name='bad_words'");
	if (!$result) { $error = 1; }
	$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".stripinput($_POST['bad_word_replace'])."' WHERE settings_name='bad_word_replace'");
	if (!$result) { $error = 1; }
	$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".(isnum($_POST['ef_hf_enable_user_ban_system']) ? $_POST['ef_hf_enable_user_ban_system'] : "0")."' WHERE settings_name='ef_hf_enable_user_ban_system'");
	if (!$result) { $error = 1; }
	$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".(isnum($_POST['ef_hf_enable_admin_ban']) ? $_POST['ef_hf_enable_admin_ban'] : "0")."' WHERE settings_name='ef_hf_enable_admin_ban'");
	if (!$result) { $error = 1; }
	$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".(isnum($_POST['ef_hf_enable_user_time_bans']) ? $_POST['ef_hf_enable_user_time_bans'] : "0")."' WHERE settings_name='ef_hf_enable_user_time_bans'");
	if (!$result) { $error = 1; }
  $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".(isnum($_POST['ef_hf_enable_user_auto_unban']) ? $_POST['ef_hf_enable_user_auto_unban'] : "0")."' WHERE settings_name='ef_hf_enable_user_auto_unban'");
	if (!$result) { $error = 1; }
	$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".(isnum($_POST['ef_hf_enable_clear_user_ban_log']) ? $_POST['ef_hf_enable_clear_user_ban_log'] : "0")."' WHERE settings_name='ef_hf_enable_clear_user_ban_log'");
	if (!$result) { $error = 1; }
	$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".(isnum($_POST['ef_hf_bs_profile_logs_per_page']) ? $_POST['ef_hf_bs_profile_logs_per_page'] : "0")."' WHERE settings_name='ef_hf_bs_profile_logs_per_page'");
	if (!$result) { $error = 1; }
  $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".(isnum($_POST['ef_hf_enable_demo_mode']) ? $_POST['ef_hf_enable_demo_mode'] : "0")."' WHERE settings_name='ef_hf_enable_demo_mode'");
	if (!$result) { $error = 1; }
	$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".(isnum($_POST['ef_hf_demo_mode_info_show']) ? $_POST['ef_hf_demo_mode_info_show'] : "0")."' WHERE settings_name='ef_hf_demo_mode_info_show'");
	if (!$result) { $error = 1; }
  $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".addslash(descript($_POST['ef_hf_demo_mode_info']))."' WHERE settings_name='ef_hf_demo_mode_info'");
	if (!$result) { $error = 1; }
	
	
	redirect(FUSION_SELF.$aidlink."&error=".$error);
}

if (isset($_GET['error']) && isnum($_GET['error']) && !isset($message)) {
	if ($_GET['error'] == 0) {
		$message = $locale['900'];
		//syslog
		 if ($settings['ef_log_system'] == "1") {
               dbquery("INSERT INTO ".DB_SYSLOG." VALUES('', 'S', '".$userdata['user_id']."', '$syslog_log_pname.$message', '$syslog_log_ip', '".time()."')");
     }
	} elseif ($_GET['error'] == 1) {
		$message = $locale['901'];
		//syslog
		 if ($settings['ef_log_system'] == "1") {
               dbquery("INSERT INTO ".DB_SYSLOG." VALUES('', 'S', '".$userdata['user_id']."', '$syslog_log_pname.$message', '$syslog_log_ip', '".time()."')");
     }
	}
	if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; 
	}
}

if ($settings['ef_hf_enable_demo_mode'] == "1" && $userdata['user_level'] != "106") {
   echo "<div class='admin-message'>".$locale['hf_demo_02']."</div>\n"; 
}

opentable($locale['683']);
echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<table cellpadding='0' cellspacing='0' width='500' class='center'>\n<tr>\n";
echo "<td class='tbl2' align='center' colspan='2'>".$locale['682']."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['660']."</td>\n";
echo "<td width='50%' class='tbl'><input type='text' name='flood_interval' value='".$settings['flood_interval']."' maxlength='2' class='textbox' style='width:50px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['680']."</td>\n";
echo "<td width='50%' class='tbl'><select name='flood_autoban' class='textbox'>\n";
echo "<option value='1'".($settings['flood_autoban'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($settings['flood_autoban'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl2' align='center' colspan='2'>".$locale['687']."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['659']."</td>\n";
echo "<td width='50%' class='tbl'><select name='bad_words_enabled' class='textbox'>\n";
echo "<option value='1'".($settings['bad_words_enabled'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($settings['bad_words_enabled'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td valign='top' width='50%' class='tbl'>".$locale['651']."<br /><span class='small2'>".$locale['652']."<br />".$locale['653']."</span></td>\n";
echo "<td width='50%' class='tbl'><textarea name='bad_words' cols='50' rows='5' class='textbox' style='width:200px;'>".$settings['bad_words']."</textarea></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['654']."</td>\n";
echo "<td width='50%' class='tbl'><input type='text' name='bad_word_replace' value='".$settings['bad_word_replace']."' maxlength='128' class='textbox' style='width:200px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl2' align='center' colspan='2'>".$locale['noboot_000']."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['noboot_001']."</td>\n";
echo "<td width='50%' class='tbl'><select name='no_boot' class='textbox'>\n";
echo "<option value='1'".($settings['ef_no_boot'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($settings['ef_no_boot'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl2' align='center' colspan='2'>".$locale['hf_bbl00']."</td>\n";
echo "</tr>\n<tr>\n";
if (iADMIN && checkrights("S9") && ($userdata['user_id'] == "1" || $userdata['user_level'] == "106")) {
echo "<td width='50%' class='tbl'>".$locale['hf_bbl01']."</td>\n";
echo "<td width='50%' class='tbl'><select name='ef_blok_blacklist' class='textbox'>\n";
echo "<option value='1'".($settings['ef_blok_blacklist'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($settings['ef_blok_blacklist'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
} else {
echo "<td width='50%' class='tbl'>".$locale['hf_bbl01']."</td>\n";
echo "<td width='50%' class='tbl'><select name='ef_blok_blacklist' disabled='disabled' class='textbox'>\n";
echo "<option value='1'".($settings['ef_blok_blacklist'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($settings['ef_blok_blacklist'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
}
echo "<td class='tbl2' align='center' colspan='2'>".$locale['hf_bans00']."</td>\n";
echo "</tr>\n<tr>\n";
if (iADMIN && checkrights("S9") && ($userdata['user_id'] == "1" || $userdata['user_level'] == "106")) {
echo "<td width='50%' class='tbl'>".$locale['hf_bans01']."</td>\n";
echo "<td width='50%' class='tbl'><select name='ef_hf_enable_user_ban_system' class='textbox'>\n";
echo "<option value='1'".($settings['ef_hf_enable_user_ban_system'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($settings['ef_hf_enable_user_ban_system'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['hf_bans03']."</td>\n";
echo "<td width='50%' class='tbl'><select name='ef_hf_enable_admin_ban' class='textbox'>\n";
echo "<option value='1'".($settings['ef_hf_enable_admin_ban'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($settings['ef_hf_enable_admin_ban'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['hf_bans06']."</td>\n";
echo "<td width='50%' class='tbl'><select name='ef_hf_bs_profile_logs_per_page' class='textbox'>\n";
echo "<option value='5'".($settings['ef_hf_bs_profile_logs_per_page'] == "5" ? " selected='selected'" : "").">5</option>\n";
echo "<option value='10'".($settings['ef_hf_bs_profile_logs_per_page'] == "10" ? " selected='selected'" : "").">10</option>\n";
echo "<option value='15'".($settings['ef_hf_bs_profile_logs_per_page'] == "15" ? " selected='selected'" : "").">15</option>\n";
echo "<option value='20'".($settings['ef_hf_bs_profile_logs_per_page'] == "20" ? " selected='selected'" : "").">20</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['hf_bans05']."</td>\n";
echo "<td width='50%' class='tbl'><select name='ef_hf_enable_clear_user_ban_log' class='textbox'>\n";
echo "<option value='1'".($settings['ef_hf_enable_clear_user_ban_log'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($settings['ef_hf_enable_clear_user_ban_log'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
} else {
echo "<td width='50%' class='tbl'>".$locale['hf_bans01']."</td>\n";
echo "<td width='50%' class='tbl'><select name='ef_hf_enable_user_ban_system' disabled='disabled' class='textbox'>\n";
echo "<option value='1'".($settings['ef_hf_enable_user_ban_system'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($settings['ef_hf_enable_user_ban_system'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['hf_bans03']."</td>\n";
echo "<td width='50%' class='tbl'><select name='ef_hf_enable_admin_ban' disabled='disabled' class='textbox'>\n";
echo "<option value='1'".($settings['ef_hf_enable_admin_ban'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($settings['ef_hf_enable_admin_ban'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['hf_bans06']."</td>\n";
echo "<td width='50%' class='tbl'><select name='ef_hf_bs_profile_logs_per_page' disabled='disabled' class='textbox'>\n";
echo "<option value='5'".($settings['ef_hf_bs_profile_logs_per_page'] == "5" ? " selected='selected'" : "").">5</option>\n";
echo "<option value='10'".($settings['ef_hf_bs_profile_logs_per_page'] == "10" ? " selected='selected'" : "").">10</option>\n";
echo "<option value='15'".($settings['ef_hf_bs_profile_logs_per_page'] == "15" ? " selected='selected'" : "").">15</option>\n";
echo "<option value='20'".($settings['ef_hf_bs_profile_logs_per_page'] == "20" ? " selected='selected'" : "").">20</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['hf_bans05']."</td>\n";
echo "<td width='50%' class='tbl'><select name='ef_hf_enable_clear_user_ban_log' disabled='disabled' class='textbox'>\n";
echo "<option value='1'".($settings['ef_hf_enable_clear_user_ban_log'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($settings['ef_hf_enable_clear_user_ban_log'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
}
echo "<td width='50%' class='tbl'>".$locale['hf_bans02']."</td>\n";
echo "<td width='50%' class='tbl'><select name='ef_hf_enable_user_time_bans' class='textbox'>\n";
echo "<option value='1'".($settings['ef_hf_enable_user_time_bans'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($settings['ef_hf_enable_user_time_bans'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['hf_bans04']."</td>\n";
echo "<td width='50%' class='tbl'><select name='ef_hf_enable_user_auto_unban' class='textbox'>\n";
echo "<option value='1'".($settings['ef_hf_enable_user_auto_unban'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($settings['ef_hf_enable_user_auto_unban'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
if (iADMIN && checkrights("S9") && ($userdata['user_id'] == "1" || $userdata['user_level'] == "106")) {
echo "<td class='tbl2' align='center' colspan='2'>".$locale['hf_demo_01']."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['hf_demo_03']."</td>\n";
echo "<td width='50%' class='tbl'><select name='ef_hf_enable_demo_mode' class='textbox'>\n";
echo "<option value='1'".($settings['ef_hf_enable_demo_mode'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($settings['ef_hf_enable_demo_mode'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['hf_demo_04']."</td>\n";
echo "<td width='50%' class='tbl'><select name='ef_hf_demo_mode_info_show' class='textbox'>\n";
echo "<option value='1'".($settings['ef_hf_demo_mode_info_show'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($settings['ef_hf_demo_mode_info_show'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td valign='top' width='50%' class='tbl'>".$locale['hf_demo_05']."</td>\n";
echo "<td width='50%' class='tbl'><textarea name='ef_hf_demo_mode_info' cols='50' rows='5' class='textbox' style='width:200px;'>".stripslashes($settings['ef_hf_demo_mode_info'])."</textarea></td>\n";
echo "</tr>\n<tr>\n";
} else {
echo "<td class='tbl2' align='center' colspan='2'>".$locale['hf_demo_01']."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['hf_demo_03']."</td>\n";
echo "<td width='50%' class='tbl'><select name='ef_hf_enable_demo_mode' disabled='disabled' class='textbox'>\n";
echo "<option value='1'".($settings['ef_hf_enable_demo_mode'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($settings['ef_hf_enable_demo_mode'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['hf_demo_04']."</td>\n";
echo "<td width='50%' class='tbl'><select name='ef_hf_demo_mode_info_show' disabled='disabled' class='textbox'>\n";
echo "<option value='1'".($settings['ef_hf_demo_mode_info_show'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($settings['ef_hf_demo_mode_info_show'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td valign='top' width='50%' class='tbl'>".$locale['hf_demo_05']."</td>\n";
echo "<td width='50%' class='tbl'><textarea name='ef_hf_demo_mode_info' cols='50' rows='5' disabled='disabled' class='textbox' style='width:200px;'>".stripslashes($settings['ef_hf_demo_mode_info'])."</textarea></td>\n";
echo "</tr>\n<tr>\n";
}
echo "<td class='tbl2' align='center' colspan='2'>".$locale['681']."</td>\n";
echo "</tr>\n<tr>\n";
if (iADMIN && checkrights("S9") && ($userdata['user_id'] == "1" || $userdata['user_level'] == "106")) {
echo "<td width='50%' class='tbl'>".$locale['675']."</td>\n";
echo "<td width='50%' class='tbl'><select name='maintenance_level' class='textbox'>\n";
echo "<option value='104'".($settings['maintenance_level'] == "104" ? " selected='selected'" : "").">".$locale['mfss_001']."</option>\n";
echo "<option value='105'".($settings['maintenance_level'] == "105" ? " selected='selected'" : "").">".$locale['676']."</option>\n";
echo "<option value='106'".($settings['maintenance_level'] == "106" ? " selected='selected'" : "").">".$locale['677']."</option>\n";
echo "<option value='1'".($settings['maintenance_level'] == "1" ? " selected='selected'" : "").">".$locale['678']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
} else {
echo "<td width='50%' class='tbl'>".$locale['675']."</td>\n";
echo "<td width='50%' class='tbl'><select name='maintenance_level' disabled='disabled' class='textbox'>\n";
echo "<option value='104'".($settings['maintenance_level'] == "104" ? " selected='selected'" : "").">".$locale['mfss_001']."</option>\n";
echo "<option value='105'".($settings['maintenance_level'] == "105" ? " selected='selected'" : "").">".$locale['676']."</option>\n";
echo "<option value='106'".($settings['maintenance_level'] == "106" ? " selected='selected'" : "").">".$locale['677']."</option>\n";
echo "<option value='1'".($settings['maintenance_level'] == "1" ? " selected='selected'" : "").">".$locale['678']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
}
echo "<td width='50%' class='tbl'>".$locale['657']."</td>\n";
echo "<td width='50%' class='tbl'><select name='maintenance' class='textbox' style='width:50px;'>\n";
echo "<option value='1'".($settings['maintenance'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($settings['maintenance'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td valign='top' width='50%' class='tbl'>".$locale['658']."</td>\n";
echo "<td width='50%' class='tbl'><textarea name='maintenance_message' cols='50' rows='5' class='textbox' style='width:200px;'>".stripslashes($settings['maintenance_message'])."</textarea></td>\n";
echo "</tr>\n<tr>\n";
echo "<td align='center' colspan='2' class='tbl'><br />\n";
if ($settings['ef_hf_enable_demo_mode'] == "1" && $userdata['user_level'] != "106") {
echo "<input type='submit' name='savesettings' value='".$locale['750']."' class='button' disabled='disabled' /></td>\n";
} else {
echo "<input type='submit' name='savesettings' value='".$locale['750']."' class='button' /></td>\n";
}
echo "</tr>\n</table>\n</form>\n";
closetable();

require_once THEMES."templates/footer.php";
?>
