<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: upgrade.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| Service Pack File 
| Author: Hisashi
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../maincore.php";
include "../update_version.php";

if (!checkrights("U") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

require_once THEMES."templates/admin_header.php";

if (file_exists(LOCALE.LOCALESET."admin/upgrade.php")) {
	include LOCALE.LOCALESET."admin/upgrade.php";
} else {
	include LOCALE."English/admin/upgrade.php";
} 

if (file_exists(LOCALE.LOCALESET."setup.php")) {
	include LOCALE.LOCALESET."setup.php";
} else {
	include LOCALE."English/setup.php";
}              

                   

$result = dbquery("SELECT admin_title FROM ".DB_ADMIN." WHERE admin_rights='U'");
$admpdata = dbarray($result);
$syslog_log_ip = USER_IP;
$syslog_log_pname = $admpdata['admin_title']." - ";

opentable($locale['400']);
echo "<div style='text-align:center'><br />\n";
echo "<form name='upgradeform' method='post' action='".FUSION_SELF.$aidlink."'>\n";

if (str_replace(".", "", $settings['ef_version']) < $hf_system_update_version_check OR str_replace(".", "", $settings['ef_compilation_number']) < $hf_system_update_compilation_check OR str_replace(".", "", $settings['ef_sp_version']) < $hf_system_update_servicepack_check) {
	if (!isset($_POST['stage'])) {
		echo sprintf($locale['500'], $locale['504'])."<br />\n".$locale['501']."<br /><br />\n";
	
		echo "<input type='hidden' name='stage' value='2'>\n";
    echo "<input type='submit' name='upgrade' value='".$locale['400']."' class='button'><br /><br />\n";
	} elseif (isset($_POST['upgrade']) && isset($_POST['stage']) && $_POST['stage'] == 2) {      

  
     if (str_replace(".", "", $settings['ef_compilation_number']) < "4620") {
        $result = dbquery("INSERT INTO ".DB_PREFIX."settings (settings_name, settings_value) VALUES ('ef_hf_login_loader', 'hf_loader.gif')"); 
     }
     if (str_replace(".", "", $settings['ef_compilation_number']) < "4622") { 
         $result = dbquery("INSERT INTO ".DB_PREFIX."settings (settings_name, settings_value) VALUES ('ef_log_system_view_log_info', '1')");  
     }
      if (str_replace(".", "", $settings['ef_compilation_number']) < "4623") { 
         $result = dbquery("UPDATE ".$db_prefix."admin SET  admin_link='../infusions/unauthenticated_users/unauthenticated_users.php' WHERE admin_rights='UU'"); 
     }  
                //version
                $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='$hf_system_update_version' WHERE settings_name='ef_version'");
                $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='$hf_system_update_compilation' WHERE settings_name='ef_compilation_number'");
                $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='$hf_system_update_servicepack' WHERE settings_name='ef_sp_version'");
                $message = $locale['502'];
	             //syslog
	             if(mysql_num_rows(mysql_query("SHOW TABLES LIKE '".DB_SYSLOG."'"))==1) {	
                   dbquery("INSERT INTO ".DB_SYSLOG." VALUES('', 'S', '".$userdata['user_id']."', '$syslog_log_pname.$message', '$syslog_log_ip', '".time()."')"); 
               }
         echo $locale['502']."<br /><br />\n";
	}
} else {
	echo $locale['401']."<br /><br />\n";
}
	
echo "</form>\n</div>\n";
closetable();

require_once THEMES."templates/footer.php";
?>