 <?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: admin_reset.php
| Author: Hisashi
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";

if (!checkRights("APR") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../../index.php"); }

require_once THEMES."templates/admin_header.php";
include INFUSIONS."admin_reset/infusion_db.php";
include LOCALE.LOCALESET."admin/hf_demo_sys.php";

 if (file_exists(LC_ADPR.$settings['locale']."/admin/admin_reset.php")) {
	include LC_ADPR.$settings['locale']."/admin/admin_reset.php";
} else {
	include LC_ADPR."English/admin/admin_reset.php";
}

include LOCALE.LOCALESET."syslog.php";

if ($settings['ef_hf_enable_demo_mode'] == "1" && $userdata['user_level'] != "106") {
   echo "<div class='admin-message'>".$locale['hf_demo_02']."</div>\n"; 
}

$result = dbquery("SELECT admin_title FROM ".DB_ADMIN." WHERE admin_rights='APR'");
$admpdata = dbarray($result);
$syslog_log_ip = USER_IP;
$syslog_log_pname = $admpdata['admin_title']." - ";

$axn = isset($_REQUEST['axn']) ? $_REQUEST['axn'] : "";
$apr_id = (isset($_REQUEST['apr_id']) AND isnum($_REQUEST['apr_id'])) ? $_REQUEST['apr_id'] : "";

opentable($locale['apr_000']);
switch ($axn) {
	default:

    echo "<b><font size='3'>".$locale['apr_001']."</font></b>";
		echo "<br /><br />";
  $result = dbquery("SELECT user_id, user_name, user_level, user_ip FROM ".DB_USERS." WHERE user_level>='102' ORDER BY user_id");
	$rows = dbrows($result);
	if ($rows > 0) {
    echo "<table width='100%' cellpadding='3' cellspacing='1' border='0' align='center' style='margin-top:1em;margin-bottom:1em;'>\n";
		echo "<tr><td align='center' class='tbl2' style='font-weight:bold'>".$locale['apr_012']."</td>\n";		
		echo "<td align='center' class='tbl2' style='font-weight:bold'>".$locale['apr_013']."</td>\n";
		echo "<td align='center' class='tbl2' style='font-weight:bold'>".$locale['apr_014']."</td>\n";
		echo "<td align='center' class='tbl2' style='font-weight:bold'>".$locale['apr_015']."</td>\n";
		echo "<td align='center' class='tbl2' style='font-weight:bold'>".$locale['apr_003']."</td></tr>\n";
		while ($data = dbarray($result)) {
			echo "<td align='center' class='tbl1'>".$data['user_id']."</td>\n";
			echo "<td align='center' class='tbl1' style='font-weight:bold'>".$data['user_name']."</td>\n";
			$userlevel = $data['user_level'];
      echo "<td align='center' class='tbl1'>".getuserlevel($userlevel)."</td>\n";
      echo "<td align='center' class='tbl1'>".$data['user_ip']."</td>\n";
			echo "<td align='center' class='tbl1'>";
        if ($data['user_level'] == "106" && $userdata['user_level'] == "106") { $can_edit = true;
		    } elseif ($data['user_level'] != "106" && $data['user_level'] == "105" && $userdata['user_level'] >= "105") { $can_edit = true;
		    } elseif ($data['user_level'] != "106" && $data['user_level'] != "105" && $userdata['user_level'] >= "104") { $can_edit = true;
        } else { $can_edit = false; }
        if ($can_edit == true && $data['user_id'] != "1" && $data['user_id'] != $userdata['user_id']) {    
           if ($settings['ef_hf_enable_demo_mode'] == "1" && $userdata['user_level'] != "106") {
            echo $locale['apr_004'];
           } else {
            echo "<a href='".FUSION_SELF.$aidlink."&amp;axn=restart&apr_id=".$data['user_id']."'>".$locale['apr_004']."</a>";
			     }
        } 
      echo "</td></tr>\n";
		}
		echo "</table>\n";
	} else {
		echo "<div style='text-align:center'><p style='margin-top:2em'><span style='color:#cc0000; weight:bold;font-size:1.5em;'>".$locale['apr_018']."</span></p><br><br>\n";
		echo "</div>\n";
	 }	
    
    if ($userdata['user_level'] == "106") {
    echo "<br /><br />\n";
    echo "<b><font size='3'>".$locale['apr_002']."</font></b>";            
          if (iADMIN && $userdata['user_level'] == "106"  && $userdata['user_id'] == "1") {  
            echo "&nbsp;&nbsp;&nbsp;<a href='".FUSION_SELF.$aidlink."&amp;axn=dellogs'>".$locale['apr_007']."</a>\n";
			    }
		echo "<br /><br />\n";
  $result2 = dbquery("SELECT * FROM ".DB_ADPR." ORDER BY apr_addtime DESC");
	$rows2 = dbrows($result2);
	if ($rows2 > 0) {
    echo "<table width='100%' cellpadding='3' cellspacing='1' border='0' align='center' style='margin-top:1em;margin-bottom:1em;'>\n";
		echo "<tr><td align='center' class='tbl2' style='font-weight:bold'>".$locale['apr_012']."</td>\n";		
		echo "<td align='center' class='tbl2' style='font-weight:bold'>".$locale['apr_013']."</td>\n";
		echo "<td align='center' class='tbl2' style='font-weight:bold'>".$locale['apr_014']."</td>\n";
		echo "<td align='center' class='tbl2' style='font-weight:bold'>".$locale['apr_015']."</td>\n";
		echo "<td align='center' class='tbl2' style='font-weight:bold'>".$locale['apr_017']."</td>\n";
		echo "<td align='center' class='tbl2' style='font-weight:bold'>".$locale['apr_016']."</td></tr>\n";
		while ($data2 = dbarray($result2)) {
			echo "<td align='center' class='tbl1'>".$data2['apr_user']."</td>\n";
			echo "<td align='center' class='tbl1' style='font-weight:bold'>".$data2['apr_user_name']."</td>\n";
			$userlevel2 = $data2['apr_user_level'];
      echo "<td align='center' class='tbl1'>".getuserlevel($userlevel2)."</td>\n";
      echo "<td align='center' class='tbl1' style='font-weight:bold'>".$data2['apr_user_ip']."</td>\n";
      echo "<td align='center' class='tbl1' style='font-weight:bold'>".$data2['apr_user_admin']."</td>\n";
      $addtime = $data2['apr_addtime'];
      echo "<td align='center' class='tbl1'>".date("Y.m.d H:i " , $addtime)."</td>\n";
			echo "</tr>\n";
		}
		echo "</table>\n";
	} else {
		echo "<div style='text-align:center'><p style='margin-top:2em'><span style='color:#cc0000; weight:bold;font-size:1.5em;'>".$locale['apr_019']."</span></p><br><br>\n";
		echo "</div>\n";
	 }
  } 	  
	break;
	case 'restart':
	if (isset($_POST['restart_set'])) {
	  	if (check_admin_pass(isset($_POST['admin_password']) ? stripinput($_POST['admin_password']) : "")) {
    $apr_user_id = $userdata['user_id'];
	  $apr_user_name = $userdata['user_name'];
	  $apr_user_level = $userdata['user_level'];
	  $apr_user_ip = $userdata['user_ip'];
		$apr_admin = stripinput($_POST['apr_admin']);
    dbquery("UPDATE ".DB_USERS." SET user_admin_password='' WHERE  user_id='".$apr_id."'");
    dbquery("INSERT INTO ".DB_ADPR." VALUES('', '$apr_user_id', '$apr_user_name', '$apr_user_level', '$apr_user_ip', '$apr_admin', '".time()."')");
     //syslog
		    if ($settings['ef_log_system'] == "1") {
                $log_message_reset = $locale['apr_025'].$locale['apr_024'].$apr_admin;
               dbquery("INSERT INTO ".DB_SYSLOG." VALUES('', 'S', '".$userdata['user_id']."', '$syslog_log_pname.$log_message_reset', '$syslog_log_ip', '".time()."')");
        }	
    set_admin_pass(isset($_POST['admin_password']) ? stripinput($_POST['admin_password']) : "");
    redirect (FUSION_SELF.$aidlink, "script");
	   } else {
        echo "<div class='admin-message'>".$locale['apr_021']."</div>";
        //syslog
		    if ($settings['ef_log_system'] == "1") {
                $log_message_error = $locale['apr_021'];
               dbquery("INSERT INTO ".DB_SYSLOG." VALUES('', 'S', '".$userdata['user_id']."', '$syslog_log_pname.$log_message_error', '$syslog_log_ip', '".time()."')");
        }	
       redirect (FUSION_SELF.$aidlink, "99999999");    
     }
  }	else {
	$result = dbquery("SELECT user_id, user_name, user_level FROM ".DB_USERS." WHERE user_id=".$apr_id."");
		$data = dbarray($result);
		echo "<form action='".FUSION_SELF.$aidlink."&amp;axn=restart' method='post' style='margin:2em;'>\n";
		echo "<table width='50%' cellpadding='3' cellspacing='1' border='0' align='center'>\n";
		echo "<tr height='40'><td align='center' class='tbl2'><span style='font-weight:bold;font-size:1.5em;'>".$locale['apr_010']."</span></td></tr>\n";
		echo "<tr><td class='tbl1' align='center' width='35%'>\n";
		$ape_admin_nick = $data['user_name'];
		echo "<p style='padding:2em;'>".$locale['apr_020']."<span style='font-weight:bold;'> <input type='hidden' name='apr_admin' value='$ape_admin_nick'  />".$ape_admin_nick."</span>?\n";
		echo "</td></tr>\n";
		 if (!check_admin_pass(isset($_POST['admin_password']) ? stripinput($_POST['admin_password']) : "")) {
					echo "<tr><td>".$locale['apr_022']." <input type='password' name='admin_password' class='textbox' style='width:150px;' /></td></tr>\n";
				}
		echo "<tr><td align='center' class='tbl1'><input type='hidden' name='apr_id' value='$apr_id' />\n";
		echo "<input type='submit' name='restart_set' value='".$locale['apr_005']."' class='button' />\n";
		echo "<input type='button' onclick=\"history.go(-1);\" value='".$locale['apr_006']."' class='button' />\n";
		echo "</td></tr></table>\n";
		echo "</form>";
  }
	break;
	case 'dellogs':
	if (isset($_POST['dellogs_set'])) {
		if (check_admin_pass(isset($_POST['admin_password']) ? stripinput($_POST['admin_password']) : "")) {
    dbquery("DELETE FROM ".DB_ADPR." WHERE apr_id!='0'");
    $log_message = $locale['logs_apr001'];
	  //syslog
		 if ($settings['ef_log_system'] == "1") {
               dbquery("INSERT INTO ".DB_SYSLOG." VALUES('', 'S', '".$userdata['user_id']."', '$syslog_log_pname.$log_message', '$syslog_log_ip', '".time()."')");
     }	
		redirect (FUSION_SELF.$aidlink, "script");
		 } else {
        echo "<div class='admin-message'>".$locale['apr_021']."</div>";
        $log_message = $locale['apr_021'];
	  //syslog
		 if ($settings['ef_log_system'] == "1") {
               dbquery("INSERT INTO ".DB_SYSLOG." VALUES('', 'S', '".$userdata['user_id']."', '$syslog_log_pname.$log_message', '$syslog_log_ip', '".time()."')");
     }	
       redirect (FUSION_SELF.$aidlink, "99999999");    
     }
	}	else {
		$result = dbquery("SELECT * FROM ".DB_ADPR." WHERE apr_id!='0'");
		echo "<form action='".FUSION_SELF.$aidlink."&amp;axn=dellogs' method='post' style='margin:2em;'>\n";
		echo "<table width='50%' cellpadding='3' cellspacing='1' border='0' align='center'>\n";
		echo "<tr height='40'><td align='center' class='tbl2'><span style='font-weight:bold;font-size:1.5em;'>".$locale['apr_011']."</span></td></tr>\n";
		echo "<tr><td class='tbl1' align='center' width='35%'>\n<p style='padding:2em;'>";
		while ($data = dbarray($result)) {
        	$userlevel = $data['apr_user_level']; 
          $addtime = $data['apr_addtime'];
        echo $locale['apr_009']."<span style='font-weight:bold;'>".$data['apr_user_name']." ".getuserlevel($userlevel)." ".$data['apr_user_ip']." ".date("Y.m.d H:i " , $addtime)." ".$data['apr_user_admin']."</span>?<br /><br />\n";
		}
    echo "</p></td></tr>\n";
    if (!check_admin_pass(isset($_POST['admin_password']) ? stripinput($_POST['admin_password']) : "")) {
					echo "<tr><td>".$locale['apr_022']." <input type='password' name='admin_password' class='textbox' style='width:150px;' /></td></tr>\n";
				}
		echo "<tr><td align='center' class='tbl1'>\n";
		echo "<input type='submit' name='dellogs_set' value='".$locale['apr_008']."' class='button' />\n";
		echo "<input type='button' onclick=\"history.go(-1);\" value='".$locale['apr_006']."' class='button' />\n";
		echo "</td></tr></table>\n";
		echo "</form>";
	}
	break;
}

 closetable();

require_once THEMES."templates/footer.php";
?>