<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: hf_user_center.php
| Author: Hisashi
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+----------------------------------------------------+
| Kody polskich znakw:  =     =    =    = 
|
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INCLUDES."team_include.php";
include LOCALE.LOCALESET."view_profile.php";
include LOCALE.LOCALESET."user_fields.php";

//user center locale
if (file_exists(INFUSIONS."hf_user_center/locale/".$settings['locale'].".php")) {
	include INFUSIONS."hf_user_center/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."hf_user_center/locale/English.php";
}

//user_info_panel locale
if (file_exists(INFUSIONS."hf_user_info_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."hf_user_info_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."hf_user_info_panel/locale/English.php";
}

//team locale
include LOCALE.LOCALESET."admin/team.php";


if (iMEMBER) {

opentable($locale['ucp_000'].$locale['ucp_014'].$locale['ucp_020'].$userdata['user_name']);

$user_data = $userdata;
                                                  //  colspan='2'
echo "<table  border='0' width='90%'>
<tr>
<td  width='90%' align='left'>\n";
echo "<b>".$locale['ucp_001']."</b><br /><br />\n";
echo "<table cellpadding='0' cellspacing='1' width='500' class='tbl-border center'>\n";
echo "<tr><td rowspan='5' colspan='2' class='tbl profile_user_avatar' align='center'>";
 if ($user_data['user_avatar'] && file_exists(IMAGES."avatars/".$user_data['user_avatar'])) {
		echo "<img src='".IMAGES."avatars/".$user_data['user_avatar']."' alt='".$user_data['user_avatar']."' /></td>\n";
	} else { 
         echo "<img src='".IMAGES."noav.png' alt='noav.png' /></td>\n"; 
  }
echo "</td>\n";
echo "<td class='tbl profile_user_avatar'>".$locale['ucp_002']."</td><td class='tbl profile_user_avatar'align='right'>".$userdata['user_name']."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl profile_user_avatar'>".$locale['ucp_003']."</td><td class='tbl profile_user_avatar' align='right'>".getuserlevel($userdata['user_level'])."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl profile_user_avatar'>".$locale['ucp_004']."</td><td class='tbl profile_user_avatar' align='right'>".$userdata['user_email']."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl profile_user_avatar'>".$locale['ucp_005']."</td><td class='tbl profile_user_avatar' align='right'>".showdate("longdate", $userdata['user_joined'])."</td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl profile_user_avatar'>".$locale['ucp_006']."</td><td class='tbl profile_user_avatar' align='right'>".($userdata['user_lastvisit'] ? showdate("longdate", $userdata['user_lastvisit']) : $locale['u042'])."</td>\n";
echo "</tr>\n";
$groups = "";
			$user_groups = explode(".", $userdata['user_groups']);
			$j = 0;
			foreach ($user_groups as $key => $value) {
				if ($value) {
					$groups .= "<a href='profile.php?group_id=".$value."'>".getgroupname($value)."</a>".($j < count($user_groups)-1 ? ", " : "");
				}
				$j++;
			}
echo "<tr><td class='tbl profile_user_avatar' colspan='2'>".$locale['ucp_007']."</td><td class='tbl profile_user_avatar' colspan='2' align='center'>".($groups ? $groups : ($userdata['user_level'] == 106 ? $locale['ucp_009'] : $locale['ucp_010']))."</td></tr>\n";
echo "<tr><td  class='tbl profile_user_avatar' colspan='2'>".$locale['ucp_008']."</td><td class='tbl profile_user_avatar' align='right' colspan='2'>".$userdata['user_ip']."</td></tr>\n";
if (iADMIN) {
echo "<tr><td class='tbl1' align='right' colspan='4'><a href='".BASEDIR."edit_profile.php'>".$locale['global_120']."</a></td></tr>\n";
 } else {
  if ($settings['ef_enable_del_user_profile'] == "1") {
     echo "<tr><td class='tbl1' align='right' colspan='3'><a href='".BASEDIR."edit_profile.php'>".$locale['global_120']."</a></td>
      <td class='tbl1' align='right'><a href='".INFUSIONS."hf_user_center/hf_user_center_user_delete.php'>".$locale['ucp_d01']."</a></td></tr>\n"; 
  } else {
     echo "<tr><td class='tbl1' align='right' colspan='4'><a href='".BASEDIR."edit_profile.php'>".$locale['global_120']."</a></td></tr>\n";
  }
 }
 if ($settings['ef_log_system'] == "1") {
   echo "<tr><td class='tbl' align='right' colspan='4'><a href='".INFUSIONS."hf_user_center/hf_user_center_login_history.php'>".$locale['ucp_log00']."</a></td></tr>\n";
}
echo "</table>\n";

	$profile_method = "display"; $i = 0; $user_cats = array(); $user_fields = array(); $ob_active = false;
	$result2 = dbquery(
		"SELECT * FROM ".DB_USER_FIELDS." tuf
		INNER JOIN ".DB_USER_FIELD_CATS." tufc ON tuf.field_cat = tufc.field_cat_id
		ORDER BY field_cat_order, field_order"
	);
	if (dbrows($result2)) {
		while($data2 = dbarray($result2)) {
			if ($i != $data2['field_cat']) {
				if ($ob_active) {
					$user_fields[$i] = ob_get_contents();
					ob_end_clean();
					$ob_active = false;
				}
				$i = $data2['field_cat'];
				$user_cats[] = array(
					"field_cat_name" => $data2['field_cat_name'],
					"field_cat" => $data2['field_cat']
				);
			}
			if (!$ob_active) {
				ob_start();
				$ob_active = true;
			}
			if (file_exists(LOCALE.LOCALESET."user_fields/".$data2['field_name'].".php")) {
				include LOCALE.LOCALESET."user_fields/".$data2['field_name'].".php";
			}
			if (file_exists(INCLUDES."user_fields/".$data2['field_name']."_include.php")) {
				include INCLUDES."user_fields/".$data2['field_name']."_include.php";
			}
		}
	}

	if ($ob_active) {
		$user_fields[$i] = ob_get_contents();
		ob_end_clean();
	}
	
	$i = 1;
	foreach ($user_cats as $category) {
		if (array_key_exists($category['field_cat'], $user_fields) && $user_fields[$category['field_cat']]) {
			echo "<!--userfield_precat_".$i."-->\n";
			echo "<div style='margin:5px'></div>\n";
			echo "<table cellpadding='0' cellspacing='1' width='500' class='tbl-border center'>\n<tr>\n";
			echo "<td colspan='2' class='tbl2'><strong>".$category['field_cat_name']."</strong></td>\n";
			echo "</tr>\n".$user_fields[$category['field_cat']];
			echo "</table>\n";
			$i++;
		}
	}
	if (count($user_fields > 0)) {
		echo "<!--userfield_end-->\n";
	}
    //site privascy policy
    echo "<br /><br />\n<table align='center' align='center' width='500' class='tbl-border center'><tr><td align='center' class='tbl1'><a href='".INFUSIONS."site_privacy_policy/site_privacy_policy.php' target='_blank'>".$locale['ucp_spp00']."</a></td></tr></table>\n";
  
  //admin panel ant site team
  if (iADMIN && (iUSER_RIGHTS != "" || iUSER_RIGHTS != "C")) {
         echo "<br /><br />\n";
         echo "<table align='center' width='500' class='tbl-border center'>
                  <tr><td class='tbl1' align='center'><a href='".ADMIN."index.php".$aidlink."'>".$locale['mfuip_003']."</a></td></tr>
                  <tr><td colspan='2' class='tbl1'>";
            include INFUSIONS."hf_user_info_panel/admin_navi.php";   
            echo "</td></tr></table>\n";
      echo "</b><br /><br />\n";
      }
      if (iADMIN && (iUSER_RIGHTS != "" || iUSER_RIGHTS != "C") OR dbrows(dbquery("SELECT * FROM ".DB_SITETEAM." WHERE st_user_id=".$userdata['user_id']."")) > 0) {
      echo "<b>".$locale['ucp_011']."</b><br /><br />\n";             
      //siteteam inclide
      if (dbrows(dbquery("SELECT * FROM ".DB_SITETEAM." WHERE st_user_id=".$userdata['user_id']."")) > 0) {
                include INFUSIONS."hf_user_center/hf_user_center_st.php"; 
      } else {
              	echo "<div style='text-align:center'><p style='margin-top:2em'><div class='admin-message'>".$locale['ucp_015']."</div></p><br><br>\n";
	      	echo "<p style='margin-bottom:2em'><a href='".INFUSIONS."hf_user_center/hf_user_center_st_edit.php'>".$locale['ucp_017']."</a>";
      }
  }


echo "</td>
</tr>
</table>";

closetable();

} else {  
        include BASEDIR."no_access.php";
}

 
 
require_once THEMES."templates/footer.php";
?>