<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: hf_user_center_st_edit.php
| Author: Hisashi
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+----------------------------------------------------+
| Kody polskich znakw:  =     =    =    = 
|
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include LOCALE.LOCALESET."syslog.php";


//user center locale
if (file_exists(INFUSIONS."hf_user_center/locale/".$settings['locale'].".php")) {
	include INFUSIONS."hf_user_center/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."hf_user_center/locale/English.php";
}



//team locale
include LOCALE.LOCALESET."admin/team.php";


//syslog
include LOCALE.LOCALESET."syslog.php";

$syslog_log_ip = USER_IP;

if (iMEMBER) {
 
 opentable($locale['ucp_000'].$locale['ucp_014'].$locale['ucp_d00']);

  
 if (isset($_POST['del_button'])) { 	  
	
  $u_id = stripinput($_POST['u_id']);
  $u_name = stripinput($_POST['user_name']);
  $u_avatar = stripinput($_POST['user_avatar']);		
  
    // Delete avatar
		if ($userdata['user_avatar'] != "" && file_exists(IMAGES."avatars/".$userdata['user_avatar'])) {
			@unlink(IMAGES."avatars/".$u_avatar);
		}
		// Delete photos
		if (!@ini_get("safe_mode")) { define("SAFEMODE", false); } else { define("SAFEMODE", true); }
		define("PHOTODIR", PHOTOS.(!SAFEMODE ? "album_".$data['album_id']."/" : ""));
		$result2 = dbquery("SELECT photo_filename, photo_thumb1, photo_thumb2 FROM ".DB_PHOTOS." WHERE photo_user='".$u_id."'");
		if (dbrows($result2)) {
			while ($data2 = dbarray($result2)) {
				$result2 = dbquery("DELETE FROM ".DB_PHOTOS." WHERE photo_user='".$u_id."'");
				@unlink(PHOTODIR.$data2['photo_filename']);
				@unlink(PHOTODIR.$data2['photo_thumb1']);
				@unlink(PHOTODIR.$data2['photo_thumb2']);
			}
		}
		// Delete content
		$result = dbquery("DELETE FROM ".DB_ARTICLES." WHERE article_name='".$u_id."'");
		$result = dbquery("DELETE FROM ".DB_COMMENTS." WHERE comment_name='".$u_id."'");
		$result = dbquery("DELETE FROM ".DB_MESSAGES." WHERE message_to='".$u_id."'' OR message_from='".$u_id."'");
		$result = dbquery("DELETE FROM ".DB_NEWS." WHERE news_name='".$u_id."'");
		$result = dbquery("DELETE FROM ".DB_POLL_VOTES." WHERE vote_user='".$u_id."'");
		$result = dbquery("DELETE FROM ".DB_RATINGS." WHERE rating_user='".$u_id."'");
		$result = dbquery("DELETE FROM ".DB_SHOUTBOX." WHERE shout_name='".$u_id."'");
		$result = dbquery("DELETE FROM ".DB_SUSPENDS." WHERE suspended_user='".$u_id."");
		$result = dbquery("DELETE FROM ".DB_THREADS." WHERE thread_author='".$u_id."'");
		$result = dbquery("DELETE FROM ".DB_POSTS." WHERE post_author='".$u_id."'");
		$result = dbquery("DELETE FROM ".DB_THREAD_NOTIFY." WHERE notify_user='".$u_id."'");
    $result = dbquery("DELETE FROM ".DB_SITETEAM." WHERE st_user_id='".$u_id."'");
    $result = dbquery("DELETE FROM ".DB_USERS." WHERE user_id='".$u_id."'");
     	//syslog
		 if ($settings['ef_log_system'] == "1") {
		          $syslog_text = $locale['ucp_020'].$u_name.$locale['ucp_d04'];
               dbquery("INSERT INTO ".DB_SYSLOG." VALUES('', 'S', '0', '$syslog_text', '$syslog_log_ip', '".time()."')");
     }	
    echo "<center><div class='admin-message'><b>".$locale['ucp_d05']."</b></div><br /><br /><a href='".BASEDIR."index.php'>".$locale['ucp_019']."</a><br /><br /></center>\n";
	 
	
  } else {
    
    echo "<div class='admin-message'>".$locale['ucp_d02']."</div><br />\n";
    $result = dbquery("SELECT * FROM ".DB_USERS." WHERE user_id=".$userdata['user_id']."");
		$data = dbarray($result);
		echo "<form action='".FUSION_SELF."' method='post' style='margin:2em;'>\n";
		echo "<table width='50%' cellpadding='3' cellspacing='1' border='0' align='center'>\n";
		echo "<tr height='40'><td align='center' class='tbl2'><span style='font-weight:bold;font-size:1.5em;'>".$locale['ucp_d00']."</span></td></tr>\n";
		echo "<tr><td class='tbl1' align='center' width='35%'>\n";
		echo "<p style='padding:2em;'>".$locale['ucp_d03']."</span></p>\n";
		echo "</td></tr>\n";
		$user_del = $data['user_id'];
    $log_user = $data['user_name'];
		$user_avatar = $data['user_avatar'];
		echo "<tr><td align='center' class='tbl1'>
          <input type='hidden' name='u_id' value='$user_del' />\n
          <input type='hidden' name='user_name' value='$log_user' />\n
          <input type='hidden' name='user_avatar' value='$user_avatar' />\n";
		echo "<input type='submit' name='del_button' value='".$locale['ucp_d01']."' class='button' />\n";
		echo "<input type='button' onclick=\"history.go(-1);\" value='".$locale['hftp_025']."' class='button' />\n";
		echo "</td></tr></table>\n";
		echo "</form>";
 }
 closetable();

} else {  
        include BASEDIR."no_access.php";
}

 
 
require_once THEMES."templates/footer.php";
?>