<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_info_panel.php
| Author: Nick Jones (Digitanium) Edited by Hisashi & Gr3mLiN
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."hf_user_info_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."hf_user_info_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."hf_user_info_panel/locale/English.php";
}

if (file_exists(INFUSIONS."hf_user_center/locale/".$settings['locale'].".php")) {
	include INFUSIONS."hf_user_center/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."hf_user_center/locale/English.php";
}
   
if (iMEMBER) {
	openside($locale['mfuip_001'].$userdata['user_name']);
	$msg_count = dbcount("(message_id)", DB_MESSAGES, "message_to='".$userdata['user_id']."' AND message_read='0'AND message_folder='0'");
	echo "<table width='100%'>";
  echo "<tr><td align='center' colspan='2'>";
  if ($msg_count) { 
      echo "<br><center><strong><a href='".BASEDIR."messages.php' class='side'><img src='".INFUSIONS."mf_user_info_panel/images/newpm.gif' border='0'><br>".sprintf($locale['global_125'], $msg_count).($msg_count == 1 ? $locale['global_126'] : $locale['global_127'])."</a></strong></center><br />\n"; 
  }
  echo "</td></tr>";
	echo "<tr><td align='center' valign='top' colspan='2'>";
  if ($userdata['user_avatar'] != "") {
      echo "<img src='".IMAGES."avatars/".$userdata['user_avatar']."' alt='' />";
  } else {
         echo "<img src='".INFUSIONS."hf_user_info_panel/images/noav.png' />";
  }
  echo "</td></tr>\n";
	echo "<tr><td align='center' colspan='2'><hr class='side-hr' /></td></tr>\n";
  echo "<tr><td align='center' colspan=2'><center><b>".$locale['mfuip_002']."</b></center></td></tr>\n";
  echo "<tr><td align='center' colspan='2'><hr class='side-hr' /></td></tr>\n";
  echo "<tr><td align='center' width='1%'><img src='".INFUSIONS."hf_user_info_panel/images/login.png'></td><td align='left'><a href='".INFUSIONS."hf_user_center/hf_user_center.php' class='side'>".$locale['ucp_000']."</a></td></tr>\n";
  echo "<tr><td align='center' width='1%'><img src='".INFUSIONS."hf_user_info_panel/images/edit.png'></td><td align='left'><a href='".BASEDIR."edit_profile.php' class='side'>".$locale['global_120']."</a></td></tr>\n";
	echo "<tr><td align='center' width='1%'><img src='".INFUSIONS."hf_user_info_panel/images/mail.png'></td><td align='left'><a href='".BASEDIR."messages.php' class='side'>".$locale['global_121']."</a></td></tr>\n";
	echo "<tr><td align='center' width='1%'><img src='".INFUSIONS."hf_user_info_panel/images/list.png'></td><td align='left'><a href='".BASEDIR."members.php' class='side'>".$locale['global_122']."</a></td></tr>\n";
  echo "<tr><td align='center' colspan='2'><hr class='side-hr' /></td></tr>\n";                
  if (iADMIN && (iUSER_RIGHTS != "" || iUSER_RIGHTS != "C")) {
      echo "<tr><td align='center' width='1%'><img src='".INFUSIONS."hf_user_info_panel/images/pa.png'></td><td align='left'><a href='".ADMIN."index.php".$aidlink."' class='side'>".$locale['mfuip_003']."</a></td></tr>\n";
      echo "<tr><td align='center' colspan='2'>";
      include INFUSIONS."hf_user_info_panel/admin_navi.php";   
      echo "</td></tr>\n";
  } else {
      echo "<tr><td align='center' colspan='2'>".$locale['mfu_001']."</td></tr>\n";
      echo "<tr><td align='center' colspan='2'><hr class='side-hr' /></td></tr>\n";
      echo "<tr><td align='center' colspan='2'>\n";
      include INFUSIONS."hf_user_info_panel/user_navi.php"; 
      echo "</td></tr>\n";
      echo "<tr><td align='center' colspan='2'><hr class='side-hr' /></td></tr>\n";
  }
  echo "<tr><td align='right'><img src='".INFUSIONS."hf_user_info_panel/images/lock.png'></td><td><a href='".BASEDIR."setuser.php?logout=yes' class='side'><font color='red'><b>".$locale['global_124']."</b></font></a></td></tr></table>\n";

} else {

	openside($locale['global_100']);
	echo "<table align='center' width='200px'>";
	echo "<form border='0' name='loginform' method='post' action='".FUSION_SELF."'>\n";
	echo "<tr><td align='right'><img src='".INFUSIONS."hf_user_info_panel/images/login.png' align='left'> <b>".$locale['mfuip_004']."</b></td><td align='left'><input type='text' name='user_name' class='textbox' style='width:110px' /></td></tr>\n";
	echo "<tr><td align='right'><img src='".INFUSIONS."hf_user_info_panel/images/pass.png' align='left'>  <b>".$locale['global_102'].":</b></td><td align='left'><input type='password' name='user_pass' class='textbox' style='width:110px' /></td></tr>\n";
  echo "<td align='right' width='1%'><input type='checkbox' name='remember_me' value='y' title='".$locale['mfuip_005']."' style='vertical-align:middle;' /></td><td align='left'>".$locale['mfuip_005']."</td></tr>\n";
	echo "<td align='center'><input type='submit' name='login' value='".$locale['global_104']."' class='button' /></form></td><td><form border='0' name='losspassform' action='".BASEDIR."lostpassword.php'><input type='submit' name='losspass' value='".$locale['mfuip_006']."' class='button' /></form></td></tr>\n";
  if ($settings['enable_registration']) {
	      echo "<tr><td align='center' colspan='2'><form name='registerform' action='".BASEDIR."register.php'><input type='submit' name='register' value='".$locale['mfuip_007']."' class='button' /></form></td></tr></table>\n";
  }	
	
	
}

closeside();

?>