<?php
$locale['400'] = "Settings";
// Site Settings
$locale['401'] = "Main";
$locale['402'] = "Site name:";
$locale['403'] = "Site URL:";
$locale['404'] = "Site banner:";
$locale['405'] = "Site e-mail address:";
$locale['406'] = "Your name or nickname:";
$locale['407'] = "Site introduction:";
$locale['408'] = "Leave empty if not required";
$locale['409'] = "Site description:";
$locale['410'] = "Site keywords:";
$locale['411'] = "Separate each word with a comma";
$locale['412'] = "Site footer:";
$locale['413'] = "Site opening page:";
$locale['414'] = "News style:";
$locale['415'] = "Single Column";
$locale['416'] = "Double Column";
$locale['417'] = "Site locale:";
$locale['418'] = "Site theme:";
$locale['419'] = "Default search location:";
$locale['420'] = "Exclude Left Panels:";
$locale['421'] = "Exclude Upper Panels:";
$locale['422'] = "Exclude Lower Panels:";
$locale['423'] = "Exclude Right Panels:";
$locale['424'] = "<em>Examples:</em><br />/news.php<br />/forum/index.php";
// Time & Date Settings
$locale['450'] = "Time and Date";
$locale['451'] = "Short date format:";
$locale['452'] = "Long date format:";
$locale['453'] = "Forum date format:";
$locale['454'] = "Sub-header date format:";
$locale['455'] = "-- Select a Format --";
$locale['456'] = "Guests offset";
$locale['457'] = "News &amp; Articles date format:";
$locale['458'] = "Time";
$locale['459'] = "Server";
$locale['460'] = "You";
$locale['461'] = "Guests";
$locale['462'] = "Server offset";
$locale['463'] = "Set this so server time is GMT 0";
$locale['464'] = "Default timezone";
// Forum Settings
$locale['500'] = "Forum";
$locale['501'] = "Latest active forum threads panel:";
$locale['502'] = "On";
$locale['503'] = "Off";
$locale['505'] = "Number of forum threads to show:";
$locale['506'] = "(Latest active forum threads panel)";
$locale['507'] = "Show IP Publicly:";
$locale['508'] = "Attachments max size:";
$locale['509'] = "Maximum file size in bytes";
$locale['510'] = "Allowed file types:";
$locale['511'] = "Separate each type with a comma";
$locale['512'] = "Enable forum thread notification?";
$locale['518'] = "Yes";
$locale['519'] = "No";
$locale['520'] = "Enable forum ranks?";
$locale['521'] = "Lock Edit:";
$locale['522'] = "(Prevent users from editing their posts)";
$locale['523'] = "Recount User Posts";
$locale['524'] = "[DONE]";
$locale['525'] = "Popular thread time threshold:";
$locale['526'] = "(The timeframe for the popular threads panel)";
$locale['527'] = "1 Week";
$locale['528'] = "1 Month";
$locale['529'] = "1 Year";
$locale['530'] = "Forever";
// Registration Settings
$locale['550'] = "Registration";
$locale['551'] = "Enable registration system?";
$locale['552'] = "Use email verification for registration?";
$locale['553'] = "Display validation code?";
$locale['557'] = "New members activated by admin?";
$locale['558'] = "Enable terms of agreement?";
$locale['559'] = "Terms of Agreement";
$locale['560'] = "Login method:";
$locale['561'] = "Cookies";
$locale['562'] = "Sessions";
//antybot system
$locale['noboot_000'] = "Block bots <br> (User Registration & Contact Form)";
$locale['noboot_001'] = "Enable Block bots in this site: ";
// Photo Gallery Settings
$locale['600'] = "Photo Gallery";
$locale['601'] = "Thumb size:";
$locale['602'] = "Photo size:";
$locale['603'] = "Maximum photo size:";
$locale['604'] = "Width x Height";
$locale['605'] = "Maximum file size (bytes):";
$locale['606'] = "Thumb compression method:";
$locale['607'] = "GD1";
$locale['608'] = "GD2";
$locale['609'] = "Thumbs per row:";
$locale['610'] = "Thumbs per page:";
$locale['611'] = "Enable photos watermark?";
$locale['612'] = "Specify PNG watermark";
$locale['613'] = "Enable text description on photos?";
$locale['614'] = "Album title color";
$locale['615'] = "Album description color";
$locale['616'] = "Photo title color";
$locale['617'] = "Save generated watermarks?";
$locale['618'] = "Reduces server load; occupies more disk space";
$locale['619'] = "Delete existing watermarks";
$locale['620'] = "Delete existing watermarks?";
// Other Settings
$locale['650'] = "Miscellaneous";
$locale['651'] = "Bad words list:";
$locale['652'] = "Enter one word per line.";
$locale['653'] = "Leave empty if not required.";
$locale['654'] = "Bad word replacement:";
$locale['655'] = "Allow Guests to post?";
$locale['656'] = "Number of shoutbox posts:";
$locale['657'] = "Maintenance mode:";
$locale['658'] = "Maintenance mode message:";
$locale['659'] = "Bad words filter enabled?";
$locale['660'] = "Flood interval (seconds):";
$locale['661'] = "Leave empty for immediate upload/download of backups.";
$locale['662'] = "Use TinyMCE HTML editor?";
$locale['663'] = "For article and news admin only.";
$locale['664'] = "SMTP Host";
$locale['665'] = "Leave empty if sendmail is enabled.";
$locale['666'] = "SMTP Username";
$locale['667'] = "SMTP Password";
$locale['668'] = "Allow users to change theme";
$locale['669'] = "News per page";
$locale['670'] = "Should be an uneven number";
$locale['671'] = "Enable comment system?";
$locale['672'] = "Enable ratings system?";
$locale['673'] = "Hide user profiles from public:";
$locale['674'] = "SMTP Port";
$locale['675'] = "Maintenance level:";
$locale['mfss_001'] = "Junior Administrators";
$locale['676'] = "Administrators";
$locale['677'] = "Super Administrators";
$locale['678'] = "Site Owner";
$locale['679'] = "Enable visitor counter?";
$locale['680'] = "Flood Auto Ban:";
$locale['681'] = "Maintenance";
$locale['682'] = "Flood Settings";
$locale['683'] = "Security Settings";

$locale['687'] = "Bad Words";
// Private Message Settings
$locale['700'] = "Private Messages";
$locale['701'] = "Inbox message limit:";
$locale['702'] = "Outbox message limit:";
$locale['703'] = "Archive message limit:";
$locale['704'] = "Set to 0 for unlimited";
$locale['707'] = "Private Message Limits";
$locale['708'] = "Default values for user options";
$locale['709'] = "Email notification?";
$locale['710'] = "Save sent PM's?";
$locale['711'] = "Note: Individual user options take precendence if they're set. If no user option is set, then the global options are applied.";
// Save Settings
$locale['750'] = "Save Settings";
// Other Settings
$locale['800'] = "Prune forums";
$locale['801'] = "Posts deleted: ";
$locale['802'] = "Threads deleted: ";
$locale['803'] = "Attachments deleted: ";
// Banners Settings
$locale['850'] = "Banners";
$locale['851'] = "Banner 1";
$locale['852'] = "Banner 2";
$locale['853'] = "Admin Password:";
$locale['854'] = "Save Banners";
$locale['855'] = "Preview Banners";
// Settings Error
$locale['900'] = "Settings Updated";
$locale['901'] = "Database update error occurs: Settings were not Updated!";
// Item per Page
$locale['910'] = "Articles per page";
$locale['911'] = "Downloads per page";
$locale['912'] = "Links per page";
// Downloads Settings
$locale['930'] = "Maximum size uploads:";
$locale['931'] = "Maximum file size in bytes";
$locale['932'] = "Allowed file types:";
$locale['933'] = "Separate each type with a comma";
// News Settings
$locale['950'] = "Image Upload";
$locale['951'] = "Image link:";
$locale['952'] = "Category";
$locale['953'] = "News Item";
$locale['954'] = "Thumb ratio:";
$locale['955'] = "Original";
$locale['956'] = "Square";
$locale['957'] = "Image on Front-page";
$locale['958'] = "Image on Read-more";
$locale['959'] = "Uploaded Photo";
$locale['960'] = "Category Image";
// User Management
$locale['1001'] = "Avatar ratio:";
$locale['1002'] = "De-activation system enabled";
$locale['1003'] = "Allowed period on inactivity:";
$locale['1004'] = "Number of days inactive before the de-activation is started.";
$locale['1005'] = "Response before deactivation action:";
$locale['1006'] = "Number of days to respond to deactivation notification email.";
$locale['1007'] = "User Profile Settings";
$locale['1008'] = "Avatar size:";
$locale['1009'] = "Width x Height";
$locale['1010'] = "Maximum image size (bytes):";
$locale['1011'] = "Deactivation Action:";
$locale['1012'] = "Anonymize Users";
$locale['1013'] = "Delete Users";
$locale['dup_000'] = "Disable user profiles";
$locale['dup_001'] = "User profile only for administrator";
$locale['dup_002'] = "Delete user profiles";
$locale['dup_003'] = "Enable user to delete profile";
//C-pages security
$locale['hf_bc_00'] = "Ochronadodatkowych stron";
$locale['hf_bc_01'] = "Active:";
$locale['hf_bc_01a'] = "Yes";
$locale['hf_bc_01b'] = "No";
$locale['hf_bc_02'] = "Locked chars:";
$locale['hf_bc_03'] = "Locked message:";
$locale['hf_404'] = "Plik ikony strony: ";
$locale['hf_404b'] = "Ico file need to be a render 16x16px and saved in png or ico. <br> You need to upload icon file to images folder on root dir in your website.";
//googlee
$locale['hf_g00'] = "Google Tools";
$locale['hf_g01'] = "Meta tag Google Webmasters:";
$locale['hf_g02'] = "File with Google Analytics code:";
$locale['hf_g03'] = "content value from Google Webmasters meta tag.";
$locale['hf_g04'] = "Uploaad php file in /themes/templates on your website.";
//downloads access settings
$locale['hf_dls00'] = "Downloads users security (site members)";
$locale['hf_dls01'] = "Downloads module for register users?";
$locale['hf_dls02'] = "Download files for register users?";
//blocklist security
$locale['hf_bbl00'] = "server Security (black List & SYSLog)";
$locale['hf_bbl01'] = "Secure server before ban server IP or operator email or IP?";
//hf ban system security
$locale['hf_bans00'] = "HF Ban System";
$locale['hf_bans01'] = "Turn on HF Ban System?";  
$locale['hf_bans02'] = "Turn on HF Time Ban System?";
$locale['hf_bans03'] = "Enable ban Administrator user profiles?";
$locale['hf_bans04'] = "Enable system auto unban users?";
$locale['hf_bans05'] = "Enable clean user ban history logs?";
$locale['hf_bans06'] = "Value user history ban logs display per page: ";
$locale['hf_loader01'] = "Login loader file: ";
$locale['hf_loader02'] = "You need to upload login  loader gif file to images folder on root dir in your website.";
?>